{
    'includes': [
        'core_generated.gypi',
    ],
    'variables': {
        # Files for which bindings (.cpp and .h files) will be generated
        'core_idl_files': [
            'animation/KeyframeEffect.idl',
            'animation/EffectModel.idl',
            'animation/AnimationEffectReadOnly.idl',
            'animation/AnimationEffectTiming.idl',
            'animation/Animation.idl',
            'animation/AnimationTimeline.idl',
            'clipboard/DataTransfer.idl',
            'clipboard/DataTransferItemList.idl',
            'css/CSS.idl',
            'css/CSSFontFaceRule.idl',
            'css/CSSGroupingRule.idl',
            'css/CSSImportRule.idl',
            'css/CSSKeyframeRule.idl',
            'css/CSSKeyframesRule.idl',
            'css/CSSMediaRule.idl',
            'css/CSSNamespaceRule.idl',
            'css/CSSPageRule.idl',
            'css/CSSRule.idl',
            'css/CSSRuleList.idl',
            'css/CSSStyleDeclaration.idl',
            'css/CSSStyleRule.idl',
            'css/CSSStyleSheet.idl',
            'css/CSSSupportsRule.idl',
            'css/CSSViewportRule.idl',
            'css/FontFace.idl',
            'css/FontFaceSet.idl',
            'css/FontFaceSetLoadEvent.idl',
            'css/MediaList.idl',
            'css/MediaQueryList.idl',
            'css/MediaQueryListEvent.idl',
            'css/StyleMedia.idl',
            'css/StyleSheet.idl',
            'css/StyleSheetList.idl',
            'css/WebKitCSSMatrix.idl',
            'css/cssom/KeywordValue.idl',
            'css/cssom/LengthValue.idl',
            'css/cssom/MatrixTransformComponent.idl',
            'css/cssom/NumberValue.idl',
            'css/cssom/ScaleTransformComponent.idl',
            'css/cssom/SimpleLength.idl',
            'css/cssom/StyleValue.idl',
            'css/cssom/TransformComponent.idl',
            'css/cssom/TransformValue.idl',
            'dom/ArrayBuffer.idl',
            'dom/ArrayBufferView.idl',
            'dom/Attr.idl',
            'dom/CDATASection.idl',
            'dom/CharacterData.idl',
            'dom/ClientRect.idl',
            'dom/ClientRectList.idl',
            'dom/Comment.idl',
            'dom/CompositorProxy.idl',
            'dom/DOMError.idl',
            'dom/DOMException.idl',
            'dom/DOMImplementation.idl',
            'dom/DOMMatrix.idl',
            'dom/DOMMatrixReadOnly.idl',
            'dom/DOMPoint.idl',
            'dom/DOMPointReadOnly.idl',
            'dom/DOMRect.idl',
            'dom/DOMRectReadOnly.idl',
            'dom/DOMSettableTokenList.idl',
            'dom/DOMStringList.idl',
            'dom/DOMStringMap.idl',
            'dom/DOMTokenList.idl',
            'dom/DataView.idl',
            'dom/Document.idl',
            'dom/DocumentFragment.idl',
            'dom/DocumentType.idl',
            'dom/Element.idl',
            'dom/Float32Array.idl',
            'dom/Float64Array.idl',
            'dom/FrameRequestCallback.idl',
            'dom/IdleDeadline.idl',
            'dom/IdleRequestCallback.idl',
            'dom/Int16Array.idl',
            'dom/Int32Array.idl',
            'dom/Int8Array.idl',
            'dom/IntersectionObserver.idl',
            'dom/IntersectionObserverEntry.idl',
            'dom/Iterator.idl',
            'dom/MessageChannel.idl',
            'dom/MessagePort.idl',
            'dom/MutationObserver.idl',
            'dom/MutationRecord.idl',
            'dom/NamedNodeMap.idl',
            'dom/Node.idl',
            'dom/NodeFilter.idl',
            'dom/NodeIterator.idl',
            'dom/NodeList.idl',
            'dom/ProcessingInstruction.idl',
            'dom/Range.idl',
            'dom/SharedArrayBuffer.idl',
            'dom/StringCallback.idl',
            'dom/Text.idl',
            'dom/TouchList.idl',
            'dom/TreeWalker.idl',
            'dom/Uint16Array.idl',
            'dom/Uint32Array.idl',
            'dom/Uint8Array.idl',
            'dom/Uint8ClampedArray.idl',
            'dom/URLSearchParams.idl',
            'dom/XMLDocument.idl',
            'dom/shadow/ShadowRoot.idl',
            'editing/Selection.idl',
            'events/AnimationEvent.idl',
            'events/AnimationPlayerEvent.idl',
            'events/ApplicationCacheErrorEvent.idl',
            'events/AutocompleteErrorEvent.idl',
            'events/BeforeUnloadEvent.idl',
            'events/ClipboardEvent.idl',
            'events/CompositionEvent.idl',
            'events/CustomEvent.idl',
            'events/DragEvent.idl',
            'events/ErrorEvent.idl',
            'events/Event.idl',
            'events/EventTarget.idl',
            'events/FocusEvent.idl',
            'events/HashChangeEvent.idl',
            'events/KeyboardEvent.idl',
            'events/MessageEvent.idl',
            'events/MutationEvent.idl',
            'events/PageTransitionEvent.idl',
            'events/PointerEvent.idl',
            'events/PopStateEvent.idl',
            'events/ProgressEvent.idl',
            'events/PromiseRejectionEvent.idl',
            'events/RelatedEvent.idl',
            'events/ResourceProgressEvent.idl',
            'events/SecurityPolicyViolationEvent.idl',
            'events/TextEvent.idl',
            'events/TouchEvent.idl',
            'events/TransitionEvent.idl',
            'events/UIEvent.idl',
            'events/WheelEvent.idl',
            'fileapi/Blob.idl',
            'fileapi/File.idl',
            'fileapi/FileCallback.idl',
            'fileapi/FileError.idl',
            'fileapi/FileList.idl',
            'fileapi/FileReader.idl',
            'fileapi/FileReaderSync.idl',
            'frame/BarProp.idl',
            'frame/Console.idl',
            'frame/ConsoleBase.idl',
            'frame/History.idl',
            'frame/ImageBitmap.idl',
            'frame/Location.idl',
            'html/FormData.idl',
            'html/HTMLAllCollection.idl',
            'html/HTMLAnchorElement.idl',
            'html/HTMLAreaElement.idl',
            'html/HTMLAudioElement.idl',
            'html/HTMLBRElement.idl',
            'html/HTMLBaseElement.idl',
            'html/HTMLBodyElement.idl',
            'html/HTMLButtonElement.idl',
            'html/HTMLCollection.idl',
            'html/HTMLContentElement.idl',
            'html/HTMLDListElement.idl',
            'html/HTMLDataListElement.idl',
            'html/HTMLDetailsElement.idl',
            'html/HTMLDialogElement.idl',
            'html/HTMLDirectoryElement.idl',
            'html/HTMLDivElement.idl',
            'html/HTMLDocument.idl',
            'html/HTMLElement.idl',
            'html/HTMLEmbedElement.idl',
            'html/HTMLFieldSetElement.idl',
            'html/HTMLFontElement.idl',
            'html/HTMLFormControlsCollection.idl',
            'html/HTMLFormElement.idl',
            'html/HTMLFrameElement.idl',
            'html/HTMLFrameSetElement.idl',
            'html/HTMLHRElement.idl',
            'html/HTMLHeadElement.idl',
            'html/HTMLHeadingElement.idl',
            'html/HTMLHtmlElement.idl',
            'html/HTMLIFrameElement.idl',
            'html/HTMLImageElement.idl',
            'html/HTMLKeygenElement.idl',
            'html/HTMLLIElement.idl',
            'html/HTMLLabelElement.idl',
            'html/HTMLLegendElement.idl',
            'html/HTMLLinkElement.idl',
            'html/HTMLMapElement.idl',
            'html/HTMLMarqueeElement.idl',
            'html/HTMLMenuElement.idl',
            'html/HTMLMenuItemElement.idl',
            'html/HTMLMetaElement.idl',
            'html/HTMLMeterElement.idl',
            'html/HTMLModElement.idl',
            'html/HTMLOListElement.idl',
            'html/HTMLObjectElement.idl',
            'html/HTMLOptGroupElement.idl',
            'html/HTMLOptionElement.idl',
            'html/HTMLOptionsCollection.idl',
            'html/HTMLOutputElement.idl',
            'html/HTMLParagraphElement.idl',
            'html/HTMLParamElement.idl',
            'html/HTMLPictureElement.idl',
            'html/HTMLPreElement.idl',
            'html/HTMLProgressElement.idl',
            'html/HTMLQuoteElement.idl',
            'html/HTMLScriptElement.idl',
            'html/HTMLSelectElement.idl',
            'html/HTMLShadowElement.idl',
            'html/HTMLSlotElement.idl',
            'html/HTMLSourceElement.idl',
            'html/HTMLSpanElement.idl',
            'html/HTMLStyleElement.idl',
            'html/HTMLTableCaptionElement.idl',
            'html/HTMLTableCellElement.idl',
            'html/HTMLTableColElement.idl',
            'html/HTMLTableElement.idl',
            'html/HTMLTableRowElement.idl',
            'html/HTMLTableSectionElement.idl',
            'html/HTMLTemplateElement.idl',
            'html/HTMLTextAreaElement.idl',
            'html/HTMLTitleElement.idl',
            'html/HTMLTrackElement.idl',
            'html/HTMLUListElement.idl',
            'html/HTMLUnknownElement.idl',
            'html/ImageData.idl',
            'html/MediaError.idl',
            'html/MediaKeyError.idl',
            'html/MediaKeyEvent.idl',
            'html/RadioNodeList.idl',
            'html/TextMetrics.idl',
            'html/TimeRanges.idl',
            'html/ValidityState.idl',
            'html/VoidCallback.idl',
            'html/canvas/OffScreenCanvas.idl',
            'html/track/AudioTrack.idl',
            'html/track/AudioTrackList.idl',
            'html/track/TextTrack.idl',
            'html/track/TextTrackCue.idl',
            'html/track/TextTrackCueList.idl',
            'html/track/TextTrackList.idl',
            'html/track/TrackEvent.idl',
            'html/track/VideoTrack.idl',
            'html/track/VideoTrackList.idl',
            'html/track/vtt/VTTCue.idl',
            'html/track/vtt/VTTRegion.idl',
            'html/track/vtt/VTTRegionList.idl',
            'input/InputDeviceCapabilities.idl',
            'inspector/InspectorOverlayHost.idl',
            'loader/appcache/ApplicationCache.idl',
            'page/EventSource.idl',
            'page/PagePopupController.idl',
            'page/scrolling/ScrollState.idl',
            'page/scrolling/ScrollStateCallback.idl',
            'streams/ReadableByteStream.idl',
            'streams/ReadableByteStreamReader.idl',
            'streams/ReadableStreamReader.idl',
            'streams/Stream.idl',
            'svg/SVGAElement.idl',
            'svg/SVGAngle.idl',
            'svg/SVGAnimateElement.idl',
            'svg/SVGAnimateMotionElement.idl',
            'svg/SVGAnimateTransformElement.idl',
            'svg/SVGAnimatedAngle.idl',
            'svg/SVGAnimatedBoolean.idl',
            'svg/SVGAnimatedEnumeration.idl',
            'svg/SVGAnimatedInteger.idl',
            'svg/SVGAnimatedLength.idl',
            'svg/SVGAnimatedLengthList.idl',
            'svg/SVGAnimatedNumber.idl',
            'svg/SVGAnimatedNumberList.idl',
            'svg/SVGAnimatedPreserveAspectRatio.idl',
            'svg/SVGAnimatedRect.idl',
            'svg/SVGAnimatedString.idl',
            'svg/SVGAnimatedTransformList.idl',
            'svg/SVGAnimationElement.idl',
            'svg/SVGCircleElement.idl',
            'svg/SVGClipPathElement.idl',
            'svg/SVGComponentTransferFunctionElement.idl',
            'svg/SVGCursorElement.idl',
            'svg/SVGDefsElement.idl',
            'svg/SVGDescElement.idl',
            'svg/SVGDiscardElement.idl',
            'svg/SVGElement.idl',
            'svg/SVGEllipseElement.idl',
            'svg/SVGFEBlendElement.idl',
            'svg/SVGFEColorMatrixElement.idl',
            'svg/SVGFEComponentTransferElement.idl',
            'svg/SVGFECompositeElement.idl',
            'svg/SVGFEConvolveMatrixElement.idl',
            'svg/SVGFEDiffuseLightingElement.idl',
            'svg/SVGFEDisplacementMapElement.idl',
            'svg/SVGFEDistantLightElement.idl',
            'svg/SVGFEDropShadowElement.idl',
            'svg/SVGFEFloodElement.idl',
            'svg/SVGFEFuncAElement.idl',
            'svg/SVGFEFuncBElement.idl',
            'svg/SVGFEFuncGElement.idl',
            'svg/SVGFEFuncRElement.idl',
            'svg/SVGFEGaussianBlurElement.idl',
            'svg/SVGFEImageElement.idl',
            'svg/SVGFEMergeElement.idl',
            'svg/SVGFEMergeNodeElement.idl',
            'svg/SVGFEMorphologyElement.idl',
            'svg/SVGFEOffsetElement.idl',
            'svg/SVGFEPointLightElement.idl',
            'svg/SVGFESpecularLightingElement.idl',
            'svg/SVGFESpotLightElement.idl',
            'svg/SVGFETileElement.idl',
            'svg/SVGFETurbulenceElement.idl',
            'svg/SVGFilterElement.idl',
            'svg/SVGForeignObjectElement.idl',
            'svg/SVGGElement.idl',
            'svg/SVGGeometryElement.idl',
            'svg/SVGGradientElement.idl',
            'svg/SVGGraphicsElement.idl',
            'svg/SVGImageElement.idl',
            'svg/SVGLength.idl',
            'svg/SVGLengthList.idl',
            'svg/SVGLineElement.idl',
            'svg/SVGLinearGradientElement.idl',
            'svg/SVGMPathElement.idl',
            'svg/SVGMarkerElement.idl',
            'svg/SVGMaskElement.idl',
            'svg/SVGMatrix.idl',
            'svg/SVGMetadataElement.idl',
            'svg/SVGNumber.idl',
            'svg/SVGNumberList.idl',
            'svg/SVGPathElement.idl',
            'svg/SVGPatternElement.idl',
            'svg/SVGPoint.idl',
            'svg/SVGPointList.idl',
            'svg/SVGPolygonElement.idl',
            'svg/SVGPolylineElement.idl',
            'svg/SVGPreserveAspectRatio.idl',
            'svg/SVGRadialGradientElement.idl',
            'svg/SVGRect.idl',
            'svg/SVGRectElement.idl',
            'svg/SVGSVGElement.idl',
            'svg/SVGScriptElement.idl',
            'svg/SVGSetElement.idl',
            'svg/SVGStopElement.idl',
            'svg/SVGStringList.idl',
            'svg/SVGStyleElement.idl',
            'svg/SVGSwitchElement.idl',
            'svg/SVGSymbolElement.idl',
            'svg/SVGTSpanElement.idl',
            'svg/SVGTextContentElement.idl',
            'svg/SVGTextElement.idl',
            'svg/SVGTextPathElement.idl',
            'svg/SVGTextPositioningElement.idl',
            'svg/SVGTitleElement.idl',
            'svg/SVGTransform.idl',
            'svg/SVGTransformList.idl',
            'svg/SVGUnitTypes.idl',
            'svg/SVGUseElement.idl',
            'svg/SVGViewElement.idl',
            'svg/SVGViewSpec.idl',
            'svg/SVGZoomEvent.idl',
            'timing/MemoryInfo.idl',
            'timing/Performance.idl',
            'timing/PerformanceCompositeTiming.idl',
            'timing/PerformanceEntry.idl',
            'timing/PerformanceMark.idl',
            'timing/PerformanceMeasure.idl',
            'timing/PerformanceNavigation.idl',
            'timing/PerformanceObserver.idl',
            'timing/PerformanceObserverEntryList.idl',
            'timing/PerformanceRenderTiming.idl',
            'timing/PerformanceResourceTiming.idl',
            'timing/PerformanceTiming.idl',
            'timing/WorkerPerformance.idl',
            'workers/SharedWorker.idl',
            'workers/Worker.idl',
            'workers/WorkerConsole.idl',
            'workers/WorkerLocation.idl',
            'xml/DOMParser.idl',
            'xml/XMLSerializer.idl',
            'xml/XPathEvaluator.idl',
            'xml/XPathExpression.idl',
            'xml/XPathNSResolver.idl',
            'xml/XPathResult.idl',
            'xml/XSLTProcessor.idl',
            'xmlhttprequest/XMLHttpRequest.idl',
            'xmlhttprequest/XMLHttpRequestEventTarget.idl',
            'xmlhttprequest/XMLHttpRequestProgressEvent.idl',
            'xmlhttprequest/XMLHttpRequestUpload.idl',
        ],
        # core IDL files that have partial interfaces in modules.
        'core_idl_with_modules_dependency_files': [
            'clipboard/DataTransferItem.idl',
            'dom/Touch.idl',
            'dom/URL.idl',
            'events/MouseEvent.idl',
            'frame/Navigator.idl',
            'frame/Screen.idl',
            'frame/Window.idl',
            'html/HTMLCanvasElement.idl',
            'html/HTMLInputElement.idl',
            'html/HTMLMediaElement.idl',
            'html/HTMLVideoElement.idl',
            'inspector/DevToolsHost.idl',
            'workers/DedicatedWorkerGlobalScope.idl',
            'workers/SharedWorkerGlobalScope.idl',
            'workers/WorkerGlobalScope.idl',
            'workers/WorkerNavigator.idl',
        ],
        # 'partial interface', target (right side of) 'implements', and
        # interfaces with static bindings (in bindings/core/v8/)
        'core_dependency_idl_files': [
            'animation/DocumentAnimation.idl',
            'animation/ElementAnimation.idl',
            'css/DocumentFontFaceSet.idl',
            'dom/ChildNode.idl',
            'dom/DocumentFullscreen.idl',
            'dom/ElementFullscreen.idl',
            'dom/GlobalEventHandlers.idl',
            'dom/NonDocumentTypeChildNode.idl',
            'dom/NonElementParentNode.idl',
            'dom/ParentNode.idl',
            'dom/URLUtils.idl',
            'dom/URLUtilsReadOnly.idl',
            'events/EventListener.idl',
            'events/NavigatorEvents.idl',
            'frame/NavigatorCPU.idl',
            'frame/NavigatorID.idl',
            'frame/NavigatorLanguage.idl',
            'frame/NavigatorOnLine.idl',
            'frame/NavigatorStorageUtils.idl',
            'frame/WindowBase64.idl',
            'frame/WindowEventHandlers.idl',
            'frame/WindowTimers.idl',
            'imagebitmap/ImageBitmapFactories.idl',
            'svg/SVGDocument.idl',
            'svg/SVGFilterPrimitiveStandardAttributes.idl',
            'svg/SVGFitToViewBox.idl',
            'svg/SVGTests.idl',
            'svg/SVGURIReference.idl',
            'svg/SVGZoomAndPan.idl',
            'timing/ConsoleMemory.idl',
            'timing/SharedWorkerPerformance.idl',
            'timing/WindowPerformance.idl',
            'timing/WorkerGlobalScopePerformance.idl',
            'workers/AbstractWorker.idl',
            'xml/DocumentXMLTreeViewer.idl',
            'xml/DocumentXPathEvaluator.idl',
        ],
        # interfaces that inherit from Event, including Event itself
        'core_event_idl_files': [
            'css/FontFaceSetLoadEvent.idl',
            'css/MediaQueryListEvent.idl',
            'events/AnimationEvent.idl',
            'events/AnimationPlayerEvent.idl',
            'events/ApplicationCacheErrorEvent.idl',
            'events/AutocompleteErrorEvent.idl',
            'events/BeforeUnloadEvent.idl',
            'events/ClipboardEvent.idl',
            'events/CompositionEvent.idl',
            'events/CustomEvent.idl',
            'events/DragEvent.idl',
            'events/ErrorEvent.idl',
            'events/Event.idl',
            'events/FocusEvent.idl',
            'events/HashChangeEvent.idl',
            'events/KeyboardEvent.idl',
            'events/MessageEvent.idl',
            'events/MouseEvent.idl',
            'events/MutationEvent.idl',
            'events/PageTransitionEvent.idl',
            'events/PointerEvent.idl',
            'events/PopStateEvent.idl',
            'events/ProgressEvent.idl',
            'events/PromiseRejectionEvent.idl',
            'events/RelatedEvent.idl',
            'events/ResourceProgressEvent.idl',
            'events/SecurityPolicyViolationEvent.idl',
            'events/TextEvent.idl',
            'events/TouchEvent.idl',
            'events/TransitionEvent.idl',
            'events/UIEvent.idl',
            'events/WheelEvent.idl',
            'html/MediaKeyEvent.idl',
            'html/track/TrackEvent.idl',
            'svg/SVGZoomEvent.idl',
            'xmlhttprequest/XMLHttpRequestProgressEvent.idl',
        ],
        # IDL files that only have typedefs/enums.
        'core_typedefs_enums_only_idl_files': [
            'dom/CommonDefinitions.idl',
            'timing/DOMHighResTimeStamp.idl',
            'timing/PerformanceEntryList.idl',
        ],
        'webcore_rendering_files': [
            'layout/api/HitTestAction.h',
            'layout/api/LineLayoutBlockFlow.h',
            'layout/api/LineLayoutBox.h',
            'layout/api/LineLayoutBoxModel.h',
            'layout/api/LineLayoutInline.h',
            'layout/api/LineLayoutItem.h',
            'layout/api/LineLayoutListMarker.h',
            'layout/api/LineLayoutRubyRun.h',
            'layout/api/LineLayoutSVGInlineText.h',
            'layout/api/LineLayoutText.h',
            'layout/api/LineLayoutTextCombine.h',
            'layout/api/SelectionState.h',
            'layout/BidiRun.h',
            'layout/BidiRunForLine.cpp',
            'layout/BidiRunForLine.h',
            'layout/ClipRect.cpp',
            'layout/ClipRect.h',
            'layout/ClipRects.h',
            'layout/ClipRectsCache.h',
            'layout/ColumnBalancer.cpp',
            'layout/ColumnBalancer.h',
            'layout/CounterNode.cpp',
            'layout/CounterNode.h',
            'layout/FloatingObjects.cpp',
            'layout/FloatingObjects.h',
            'layout/FragmentationContext.h',
            'layout/GeneratedChildren.h',
            'layout/HitTestCache.cpp',
            'layout/HitTestCache.h',
            'layout/HitTestLocation.cpp',
            'layout/HitTestLocation.h',
            'layout/HitTestResult.cpp',
            'layout/HitTestingTransformState.cpp',
            'layout/HitTestingTransformState.h',
            'layout/ImageQualityController.cpp',
            'layout/ImageQualityController.h',
            'layout/LayoutState.cpp',
            'layout/OrderIterator.cpp',
            'layout/OrderIterator.h',
            'layout/PaintInvalidationState.cpp',
            'layout/PaintInvalidationState.h',
            'layout/PointerEventsHitRules.cpp',
            'layout/PointerEventsHitRules.h',
            'layout/LayoutDeprecatedFlexibleBox.cpp',
            'layout/LayoutDeprecatedFlexibleBox.h',
            'layout/LayoutAnalyzer.cpp',
            'layout/LayoutAnalyzer.h',
            'layout/LayoutBlock.cpp',
            'layout/LayoutBlockFlow.cpp',
            'layout/LayoutBlockFlowLine.cpp',
            'layout/LayoutBox.cpp',
            'layout/LayoutBoxModelObject.cpp',
            'layout/LayoutBR.cpp',
            'layout/LayoutButton.cpp',
            'layout/LayoutButton.h',
            'layout/LayoutCounter.cpp',
            'layout/LayoutCounter.h',
            'layout/LayoutDetailsMarker.cpp',
            'layout/LayoutDetailsMarker.h',
            'layout/LayoutEmbeddedObject.cpp',
            'layout/LayoutFlexibleBox.cpp',
            'layout/LayoutFlexibleBox.h',
            'layout/LayoutFieldset.cpp',
            'layout/LayoutFieldset.h',
            'layout/LayoutFileUploadControl.cpp',
            'layout/LayoutFileUploadControl.h',
            'layout/LayoutFlowThread.cpp',
            'layout/LayoutFlowThread.h',
            'layout/LayoutFrame.cpp',
            'layout/LayoutFrame.h',
            'layout/LayoutFrameSet.cpp',
            'layout/LayoutFrameSet.h',
            'layout/LayoutFullScreen.cpp',
            'layout/LayoutFullScreen.h',
            'layout/LayoutGeometryMap.cpp',
            'layout/LayoutGeometryMap.h',
            'layout/LayoutGeometryMapStep.h',
            'layout/LayoutGrid.cpp',
            'layout/LayoutGrid.h',
            'layout/LayoutHTMLCanvas.cpp',
            'layout/LayoutHTMLCanvas.h',
            'layout/LayoutIFrame.cpp',
            'layout/LayoutIFrame.h',
            'layout/LayoutImage.cpp',
            'layout/LayoutImageResource.cpp',
            'layout/LayoutImageResourceStyleImage.cpp',
            'layout/LayoutInline.cpp',
            'layout/LayoutInline.h',
            'layout/LayoutListBox.cpp',
            'layout/LayoutListBox.h',
            'layout/LayoutListItem.cpp',
            'layout/LayoutListMarker.cpp',
            'layout/LayoutListMarker.h',
            'layout/LayoutMedia.cpp',
            'layout/LayoutMedia.h',
            'layout/LayoutMenuList.cpp',
            'layout/LayoutMenuList.h',
            'layout/LayoutMeter.cpp',
            'layout/LayoutMeter.h',
            'layout/LayoutMultiColumnFlowThread.cpp',
            'layout/LayoutMultiColumnFlowThread.h',
            'layout/LayoutMultiColumnSet.cpp',
            'layout/LayoutMultiColumnSet.h',
            'layout/LayoutMultiColumnSpannerPlaceholder.cpp',
            'layout/LayoutMultiColumnSpannerPlaceholder.h',
            'layout/LayoutObject.cpp',
            'layout/LayoutObjectChildList.cpp',
            'layout/LayoutPagedFlowThread.cpp',
            'layout/LayoutPagedFlowThread.h',
            'layout/LayoutPart.cpp',
            'layout/LayoutProgress.cpp',
            'layout/LayoutProgress.h',
            'layout/LayoutQuote.cpp',
            'layout/LayoutQuote.h',
            'layout/LayoutReplaced.cpp',
            'layout/LayoutReplica.cpp',
            'layout/LayoutReplica.h',
            'layout/LayoutRuby.cpp',
            'layout/LayoutRuby.h',
            'layout/LayoutRubyBase.cpp',
            'layout/LayoutRubyBase.h',
            'layout/LayoutRubyRun.cpp',
            'layout/LayoutRubyRun.h',
            'layout/LayoutRubyText.cpp',
            'layout/LayoutRubyText.h',
            'layout/LayoutScrollbar.cpp',
            'layout/LayoutScrollbar.h',
            'layout/LayoutScrollbarPart.cpp',
            'layout/LayoutScrollbarPart.h',
            'layout/LayoutScrollbarTheme.cpp',
            'layout/LayoutScrollbarTheme.h',
            'layout/LayoutSearchField.cpp',
            'layout/LayoutSearchField.h',
            'layout/LayoutSlider.cpp',
            'layout/LayoutSlider.h',
            'layout/LayoutSliderContainer.cpp',
            'layout/LayoutSliderContainer.h',
            'layout/LayoutSliderThumb.cpp',
            'layout/LayoutSliderThumb.h',
            'layout/LayoutText.cpp',
            'layout/LayoutTextCombine.cpp',
            'layout/LayoutTextCombine.h',
            'layout/LayoutTextFragment.cpp',
            'layout/LayoutTextFragment.h',
            'layout/LayoutTable.cpp',
            'layout/LayoutTable.h',
            'layout/LayoutTableCaption.cpp',
            'layout/LayoutTableCaption.h',
            'layout/LayoutTableCell.cpp',
            'layout/LayoutTableCell.h',
            'layout/LayoutTableCol.cpp',
            'layout/LayoutTableCol.h',
            'layout/LayoutTableRow.cpp',
            'layout/LayoutTableRow.h',
            'layout/LayoutTableSection.cpp',
            'layout/LayoutTableSection.h',
            'layout/LayoutTextControl.cpp',
            'layout/LayoutTextControl.h',
            'layout/LayoutTextControlMultiLine.cpp',
            'layout/LayoutTextControlMultiLine.h',
            'layout/LayoutTextControlSingleLine.cpp',
            'layout/LayoutTextControlSingleLine.h',
            'layout/LayoutTextTrackContainer.cpp',
            'layout/LayoutTextTrackContainer.h',
            'layout/LayoutTheme.cpp',
            'layout/LayoutTheme.h',
            'layout/LayoutThemeAndroid.cpp',
            'layout/LayoutThemeAndroid.h',
            'layout/LayoutThemeDefault.cpp',
            'layout/LayoutThemeDefault.h',
            'layout/LayoutThemeFontProvider.cpp',
            'layout/LayoutThemeFontProvider.h',
            'layout/LayoutThemeFontProviderLinux.cpp',
            'layout/LayoutThemeFontProviderWin.cpp',
            'layout/LayoutThemeLinux.cpp',
            'layout/LayoutThemeLinux.h',
            'layout/LayoutThemeMac.h',
            'layout/LayoutThemeMac.mm',
            'layout/LayoutThemeWin.cpp',
            'layout/LayoutThemeWin.h',
            'layout/LayoutTreeAsText.cpp',
            'layout/LayoutVTTCue.cpp',
            'layout/LayoutVTTCue.h',
            'layout/LayoutVideo.cpp',
            'layout/LayoutVideo.h',
            'layout/LayoutView.cpp',
            'layout/LayoutWordBreak.cpp',
            'layout/LayoutWordBreak.h',
            'layout/ListMarkerText.h',
            'layout/ListMarkerText.cpp',
            'layout/MultiColumnFragmentainerGroup.cpp',
            'layout/MultiColumnFragmentainerGroup.h',
            'layout/OverflowModel.h',
            'layout/ScrollAlignment.cpp',
            'layout/SubtreeLayoutScope.cpp',
            'layout/SubtreeLayoutScope.h',
            'layout/TableLayoutAlgorithm.h',
            'layout/TableLayoutAlgorithmAuto.cpp',
            'layout/TableLayoutAlgorithmAuto.h',
            'layout/TableLayoutAlgorithmFixed.cpp',
            'layout/TableLayoutAlgorithmFixed.h',
            'layout/TextAutosizer.cpp',
            'layout/TextAutosizer.h',
            'layout/TextRunConstructor.cpp',
            'layout/TextRunConstructor.h',
            'layout/TracedLayoutObject.cpp',
            'layout/TracedLayoutObject.h',
            'layout/VerticalPositionCache.h',
            'layout/ViewFragmentationContext.cpp',
            'layout/ViewFragmentationContext.h',
            'layout/compositing/CompositedLayerMapping.cpp',
            'layout/compositing/CompositedLayerMapping.h',
            'layout/compositing/CompositingInputsUpdater.cpp',
            'layout/compositing/CompositingInputsUpdater.h',
            'layout/compositing/CompositingLayerAssigner.cpp',
            'layout/compositing/CompositingLayerAssigner.h',
            'layout/compositing/CompositingReasonFinder.cpp',
            'layout/compositing/CompositingReasonFinder.h',
            'layout/compositing/CompositingRequirementsUpdater.cpp',
            'layout/compositing/CompositingRequirementsUpdater.h',
            'layout/compositing/CompositingState.h',
            'layout/compositing/CompositingTriggers.h',
            'layout/compositing/PaintLayerCompositor.cpp',
            'layout/compositing/PaintLayerCompositor.h',
            'layout/compositing/GraphicsLayerTreeBuilder.cpp',
            'layout/compositing/GraphicsLayerTreeBuilder.h',
            'layout/compositing/GraphicsLayerUpdater.cpp',
            'layout/compositing/GraphicsLayerUpdater.h',
            'layout/line/AbstractInlineTextBox.cpp',
            'layout/line/AbstractInlineTextBox.h',
            'layout/line/BreakingContext.cpp',
            'layout/line/EllipsisBox.cpp',
            'layout/line/EllipsisBox.h',
            'layout/line/GlyphOverflow.h',
            'layout/line/InlineBox.cpp',
            'layout/line/InlineFlowBox.cpp',
            'layout/line/InlineIterator.h',
            'layout/line/InlineTextBox.cpp',
            'layout/line/LineBoxList.cpp',
            'layout/line/LineBreaker.cpp',
            'layout/line/LineBreaker.h',
            'layout/line/LineWidth.cpp',
            'layout/line/LineWidth.h',
            'layout/line/RootInlineBox.cpp',
            'layout/line/TrailingObjects.cpp',
            'layout/line/TrailingObjects.h',
            'layout/shapes/BoxShape.cpp',
            'layout/shapes/BoxShape.h',
            'layout/shapes/PolygonShape.cpp',
            'layout/shapes/PolygonShape.h',
            'layout/shapes/RasterShape.cpp',
            'layout/shapes/RasterShape.h',
            'layout/shapes/RectangleShape.cpp',
            'layout/shapes/RectangleShape.h',
            'layout/shapes/Shape.cpp',
            'layout/shapes/Shape.h',
            'layout/shapes/ShapeInterval.h',
            'layout/shapes/ShapeOutsideInfo.cpp',
            'layout/shapes/ShapeOutsideInfo.h',
            'style/AppliedTextDecoration.cpp',
            'style/BasicShapes.cpp',
            'style/BorderEdge.cpp',
            'style/BorderEdge.h',
            'style/BorderImageLength.h',
            'style/BorderImageLengthBox.h',
            'style/CachedUAStyle.h',
            'style/ContentData.cpp',
            'style/CounterDirectives.cpp',
            'style/FillLayer.cpp',
            'style/GridCoordinate.h',
            'style/GridResolvedPosition.cpp',
            'style/GridResolvedPosition.h',
            'style/ComputedStyle.cpp',
            'style/ComputedStyle.h',
            'style/NinePieceImage.cpp',
            'style/PathStyleMotionPath.cpp',
            'style/PathStyleMotionPath.h',
            'style/QuotesData.cpp',
            'style/QuotesData.h',
            'style/ShadowData.cpp',
            'style/ShadowData.h',
            'style/ShadowList.cpp',
            'style/ShadowList.h',
            'style/StyleBackgroundData.cpp',
            'style/StyleBoxData.cpp',
            'style/StyleContentAlignmentData.h',
            'style/StyleDeprecatedFlexibleBoxData.cpp',
            'style/StyleFetchedImage.cpp',
            'style/StyleFetchedImageSet.cpp',
            'style/StyleFilterData.cpp',
            'style/StyleFlexibleBoxData.cpp',
            'style/StyleGeneratedImage.cpp',
            'style/StyleGridData.cpp',
            'style/StyleGridItemData.cpp',
            'style/StyleInheritedData.cpp',
            'style/StyleMotionData.cpp',
            'style/StyleMotionData.h',
            'style/StyleMotionPath.h',
            'style/StyleMultiColData.cpp',
            'style/StylePath.cpp',
            'style/StylePath.h',
            'style/StylePendingImage.h',
            'style/StyleRareInheritedData.cpp',
            'style/StyleRareNonInheritedData.cpp',
            'style/StyleScrollSnapData.cpp',
            'style/StyleScrollSnapData.h',
            'style/StyleSelfAlignmentData.h',
            'style/StyleSurroundData.cpp',
            'style/StyleTransformData.cpp',
            'style/StyleVariableData.cpp',
            'style/StyleVariableData.h',
            'style/StyleVisualData.cpp',
            'style/StyleWillChangeData.cpp',
            'layout/svg/line/SVGInlineFlowBox.cpp',
            'layout/svg/line/SVGInlineFlowBox.h',
            'layout/svg/line/SVGInlineTextBox.cpp',
            'layout/svg/line/SVGInlineTextBox.h',
            'layout/svg/line/SVGRootInlineBox.cpp',
            'layout/svg/line/SVGRootInlineBox.h',
        ],
        'webcore_non_rendering_files': [
            'Init.cpp',
            'Init.h',
            'animation/KeyframeEffect.cpp',
            'animation/KeyframeEffect.h',
            'animation/AnimationClock.cpp',
            'animation/AnimationClock.h',
            'animation/EffectModel.h',
            'animation/AnimationInputHelpers.cpp',
            'animation/AnimationInputHelpers.h',
            'animation/AnimationEffect.cpp',
            'animation/AnimationEffect.h',
            'animation/AnimationEffectTiming.cpp',
            'animation/AnimationEffectTiming.h',
            'animation/Animation.cpp',
            'animation/Animation.h',
            'animation/AnimationStack.cpp',
            'animation/AnimationStack.h',
            'animation/AnimationTimeline.cpp',
            'animation/AnimationTimeline.h',
            'animation/AnimationTranslationUtil.cpp',
            'animation/AnimationTranslationUtil.h',
            'animation/CSSColorInterpolationType.cpp',
            'animation/CSSColorInterpolationType.h',
            'animation/CSSFontWeightInterpolationType.cpp',
            'animation/CSSFontWeightInterpolationType.h',
            'animation/CSSImageInterpolationType.cpp',
            'animation/CSSImageInterpolationType.h',
            'animation/CSSImageListInterpolationType.cpp',
            'animation/CSSImageListInterpolationType.h',
            'animation/CSSInterpolationType.cpp',
            'animation/CSSInterpolationType.h',
            'animation/CSSLengthInterpolationType.cpp',
            'animation/CSSLengthInterpolationType.h',
            'animation/CSSLengthListInterpolationType.cpp',
            'animation/CSSLengthListInterpolationType.h',
            'animation/CSSNumberInterpolationType.cpp',
            'animation/CSSNumberInterpolationType.h',
            'animation/CSSPaintInterpolationType.cpp',
            'animation/CSSPaintInterpolationType.h',
            'animation/CSSShadowListInterpolationType.cpp',
            'animation/CSSShadowListInterpolationType.h',
            'animation/CSSValueInterpolationType.cpp',
            'animation/CSSValueInterpolationType.h',
            'animation/CSSVisibilityInterpolationType.cpp',
            'animation/CSSVisibilityInterpolationType.h',
            'animation/CompositorAnimations.cpp',
            'animation/CompositorAnimations.h',
            'animation/CompositorAnimationsImpl.h',
            'animation/CompositorPendingAnimations.cpp',
            'animation/CompositorPendingAnimations.h',
            'animation/ColorPropertyFunctions.cpp',
            'animation/ColorPropertyFunctions.h',
            'animation/ConstantStyleInterpolation.h',
            'animation/DefaultSVGInterpolation.cpp',
            'animation/DefaultSVGInterpolation.h',
            'animation/DeferredLegacyStyleInterpolation.cpp',
            'animation/DeferredLegacyStyleInterpolation.h',
            'animation/DocumentAnimation.h',
            'animation/DocumentAnimations.cpp',
            'animation/DocumentAnimations.h',
            'animation/DoubleStyleInterpolation.h',
            'animation/DoubleStyleInterpolation.cpp',
            'animation/EffectInput.cpp',
            'animation/EffectInput.h',
            'animation/ElementAnimation.h',
            'animation/ElementAnimations.cpp',
            'animation/ElementAnimations.h',
            'animation/FilterStyleInterpolation.h',
            'animation/FilterStyleInterpolation.cpp',
            'animation/ImageListPropertyFunctions.h',
            'animation/ImagePropertyFunctions.h',
            'animation/ImageSliceStyleInterpolation.cpp',
            'animation/ImageSliceStyleInterpolation.h',
            'animation/InertEffect.cpp',
            'animation/InertEffect.h',
            'animation/InterpolableValue.cpp',
            'animation/InterpolableValue.h',
            'animation/Interpolation.cpp',
            'animation/Interpolation.h',
            'animation/InterpolationEffect.cpp',
            'animation/InterpolationEffect.h',
            'animation/InterpolationType.h',
            'animation/InterpolationValue.h',
            'animation/InvalidatableInterpolation.cpp',
            'animation/InvalidatableInterpolation.h',
            'animation/KeyframeEffectModel.cpp',
            'animation/KeyframeEffectModel.h',
            'animation/LegacyStyleInterpolation.h',
            'animation/LengthBoxStyleInterpolation.cpp',
            'animation/LengthBoxStyleInterpolation.h',
            'animation/LengthPairStyleInterpolation.cpp',
            'animation/LengthPairStyleInterpolation.h',
            'animation/LengthPropertyFunctions.cpp',
            'animation/LengthPropertyFunctions.h',
            'animation/LengthStyleInterpolation.cpp',
            'animation/LengthStyleInterpolation.h',
            'animation/ListInterpolationFunctions.cpp',
            'animation/ListInterpolationFunctions.h',
            'animation/NonInterpolableValue.h',
            'animation/NumberAttributeFunctions.h',
            'animation/NumberPropertyFunctions.cpp',
            'animation/NumberPropertyFunctions.h',
            'animation/NumberSVGInterpolation.cpp',
            'animation/NumberSVGInterpolation.h',
            'animation/PaintPropertyFunctions.cpp',
            'animation/PaintPropertyFunctions.h',
            'animation/PrimitiveInterpolation.h',
            'animation/PropertyHandle.cpp',
            'animation/PropertyHandle.h',
            'animation/SVGAngleInterpolationType.cpp',
            'animation/SVGAngleInterpolationType.h',
            'animation/SVGIntegerInterpolationType.cpp',
            'animation/SVGIntegerInterpolationType.h',
            'animation/SVGIntegerOptionalIntegerInterpolationType.cpp',
            'animation/SVGIntegerOptionalIntegerInterpolationType.h',
            'animation/SVGInterpolation.h',
            'animation/SVGInterpolationType.cpp',
            'animation/SVGInterpolationType.h',
            'animation/SVGLengthInterpolationType.cpp',
            'animation/SVGLengthInterpolationType.h',
            'animation/SVGLengthListInterpolationType.cpp',
            'animation/SVGLengthListInterpolationType.h',
            'animation/SVGNumberInterpolationType.cpp',
            'animation/SVGNumberInterpolationType.h',
            'animation/SVGNumberListInterpolationType.cpp',
            'animation/SVGNumberListInterpolationType.h',
            'animation/SVGNumberOptionalNumberInterpolationType.cpp',
            'animation/SVGNumberOptionalNumberInterpolationType.h',
            'animation/SVGPathInterpolationType.cpp',
            'animation/SVGPathInterpolationType.h',
            'animation/SVGPathSegInterpolationFunctions.cpp',
            'animation/SVGPathSegInterpolationFunctions.h',
            'animation/SVGPointListInterpolationType.cpp',
            'animation/SVGPointListInterpolationType.h',
            'animation/SVGRectInterpolationType.cpp',
            'animation/SVGRectInterpolationType.h',
            'animation/SVGTransformListInterpolationType.cpp',
            'animation/SVGTransformListInterpolationType.h',
            'animation/SVGValueInterpolationType.cpp',
            'animation/SVGValueInterpolationType.h',
            'animation/SampledEffect.cpp',
            'animation/SampledEffect.h',
            'animation/ListStyleInterpolation.h',
            'animation/ShadowInterpolationFunctions.cpp',
            'animation/ShadowInterpolationFunctions.h',
            'animation/StringKeyframe.cpp',
            'animation/StringKeyframe.h',
            'animation/StyleInterpolation.h',
            'animation/Timing.cpp',
            'animation/Timing.h',
            'animation/TimingCalculations.h',
            'animation/TimingInput.cpp',
            'animation/TimingInput.h',
            'animation/UnderlyingValue.h',
            'animation/VisibilityStyleInterpolation.cpp',
            'animation/VisibilityStyleInterpolation.h',
            'animation/animatable/AnimatableClipPathOperation.cpp',
            'animation/animatable/AnimatableClipPathOperation.h',
            'animation/animatable/AnimatableColor.cpp',
            'animation/animatable/AnimatableColor.h',
            'animation/animatable/AnimatableDouble.cpp',
            'animation/animatable/AnimatableDouble.h',
            'animation/animatable/AnimatableDoubleAndBool.cpp',
            'animation/animatable/AnimatableDoubleAndBool.h',
            'animation/animatable/AnimatableFilterOperations.cpp',
            'animation/animatable/AnimatableFilterOperations.h',
            'animation/animatable/AnimatableImage.cpp',
            'animation/animatable/AnimatableImage.h',
            'animation/animatable/AnimatableLength.cpp',
            'animation/animatable/AnimatableLength.h',
            'animation/animatable/AnimatableLengthBox.cpp',
            'animation/animatable/AnimatableLengthBox.h',
            'animation/animatable/AnimatableLengthBoxAndBool.cpp',
            'animation/animatable/AnimatableLengthBoxAndBool.h',
            'animation/animatable/AnimatableLengthPoint.cpp',
            'animation/animatable/AnimatableLengthPoint.h',
            'animation/animatable/AnimatableLengthPoint3D.cpp',
            'animation/animatable/AnimatableLengthPoint3D.h',
            'animation/animatable/AnimatableLengthSize.cpp',
            'animation/animatable/AnimatableLengthSize.h',
            'animation/animatable/AnimatableNeutral.h',
            'animation/animatable/AnimatablePath.cpp',
            'animation/animatable/AnimatablePath.h',
            'animation/animatable/AnimatableRepeatable.cpp',
            'animation/animatable/AnimatableRepeatable.h',
            'animation/animatable/AnimatableSVGPaint.cpp',
            'animation/animatable/AnimatableSVGPaint.h',
            'animation/animatable/AnimatableShadow.cpp',
            'animation/animatable/AnimatableShadow.h',
            'animation/animatable/AnimatableShapeValue.cpp',
            'animation/animatable/AnimatableShapeValue.h',
            'animation/animatable/AnimatableStrokeDasharrayList.cpp',
            'animation/animatable/AnimatableStrokeDasharrayList.h',
            'animation/animatable/AnimatableTransform.cpp',
            'animation/animatable/AnimatableTransform.h',
            'animation/animatable/AnimatableUnknown.h',
            'animation/animatable/AnimatableValue.cpp',
            'animation/animatable/AnimatableValue.h',
            'animation/animatable/AnimatableValueKeyframe.cpp',
            'animation/animatable/AnimatableValueKeyframe.h',
            'animation/animatable/AnimatableVisibility.cpp',
            'animation/animatable/AnimatableVisibility.h',
            'animation/css/CSSAnimatableValueFactory.cpp',
            'animation/css/CSSAnimatableValueFactory.h',
            'animation/css/CSSAnimationData.cpp',
            'animation/css/CSSAnimationData.h',
            'animation/css/CSSAnimations.cpp',
            'animation/css/CSSAnimations.h',
            'animation/css/CSSAnimationUpdate.h',
            'animation/css/CSSPropertyEquality.cpp',
            'animation/css/CSSPropertyEquality.h',
            'animation/css/CSSTimingData.cpp',
            'animation/css/CSSTimingData.h',
            'animation/css/CSSTransitionData.cpp',
            'animation/css/CSSTransitionData.h',
            'clipboard/DataObject.cpp',
            'clipboard/DataObject.h',
            'clipboard/DataObjectItem.cpp',
            'clipboard/DataObjectItem.h',
            'clipboard/DataTransfer.cpp',
            'clipboard/DataTransfer.h',
            'clipboard/DataTransferItem.cpp',
            'clipboard/DataTransferItem.h',
            'clipboard/DataTransferItemList.cpp',
            'clipboard/DataTransferItemList.h',
            'clipboard/DraggedIsolatedFileSystem.cpp',
            'clipboard/DraggedIsolatedFileSystem.h',
            'clipboard/Pasteboard.cpp',
            'clipboard/Pasteboard.h',
            'css/BasicShapeFunctions.cpp',
            'css/BinaryDataFontFaceSource.cpp',
            'css/BinaryDataFontFaceSource.h',
            'css/CSSBasicShapeValues.cpp',
            'css/CSSBorderImage.cpp',
            'css/CSSBorderImage.h',
            'css/CSSBorderImageSliceValue.cpp',
            'css/CSSBorderImageSliceValue.h',
            'css/CSSCalculationValue.cpp',
            'css/CSSCalculationValue.h',
            'css/CSSColorValue.h',
            'css/CSSComputedStyleDeclaration.cpp',
            'css/CSSContentDistributionValue.cpp',
            'css/CSSContentDistributionValue.h',
            'css/CSSCounterValue.cpp',
            'css/CSSCounterValue.h',
            'css/CSSCrossfadeValue.cpp',
            'css/CSSCrossfadeValue.h',
            'css/CSSCursorImageValue.cpp',
            'css/CSSCustomFontData.h',
            'css/CSSCustomIdentValue.cpp',
            'css/CSSCustomIdentValue.h',
            'css/CSSCustomPropertyDeclaration.cpp',
            'css/CSSCustomPropertyDeclaration.h',
            'css/CSSDefaultStyleSheets.cpp',
            'css/CSSDefaultStyleSheets.h',
            'css/CSSFontFace.cpp',
            'css/CSSFontFace.h',
            'css/CSSFontFaceRule.cpp',
            'css/CSSFontFaceRule.h',
            'css/CSSFontFaceSource.cpp',
            'css/CSSFontFaceSource.h',
            'css/CSSFontFaceSrcValue.cpp',
            'css/CSSFontFaceSrcValue.h',
            'css/CSSFontFeatureValue.cpp',
            'css/CSSFontFeatureValue.h',
            'css/CSSFontSelector.cpp',
            'css/CSSFontSelector.h',
            'css/CSSFontSelectorClient.h',
            'css/CSSFunctionValue.cpp',
            'css/CSSFunctionValue.h',
            'css/CSSGradientValue.cpp',
            'css/CSSGradientValue.h',
            'css/CSSGridLineNamesValue.cpp',
            'css/CSSGridLineNamesValue.h',
            'css/CSSGridTemplateAreasValue.cpp',
            'css/CSSGridTemplateAreasValue.h',
            'css/CSSGroupingRule.cpp',
            'css/CSSGroupingRule.h',
            'css/CSSImageGeneratorValue.cpp',
            'css/CSSImageSetValue.cpp',
            'css/CSSImageValue.cpp',
            'css/CSSImportRule.cpp',
            'css/CSSImportRule.h',
            'css/CSSInheritedValue.cpp',
            'css/CSSInheritedValue.h',
            'css/CSSInitialValue.cpp',
            'css/CSSInitialValue.h',
            'css/CSSKeyframeRule.cpp',
            'css/CSSKeyframeRule.h',
            'css/CSSKeyframesRule.cpp',
            'css/CSSKeyframesRule.h',
            'css/CSSMarkup.cpp',
            'css/CSSMarkup.h',
            'css/CSSMatrix.cpp',
            'css/CSSMatrix.h',
            'css/CSSMediaRule.cpp',
            'css/CSSMediaRule.h',
            'css/CSSNamespaceRule.cpp',
            'css/CSSNamespaceRule.h',
            'css/CSSPageRule.cpp',
            'css/CSSPageRule.h',
            'css/CSSPathValue.cpp',
            'css/CSSPathValue.h',
            'css/CSSPrimitiveValue.cpp',
            'css/CSSPrimitiveValueMappings.h',
            'css/CSSProperty.cpp',
            'css/CSSPropertySourceData.cpp',
            'css/CSSQuadValue.cpp',
            'css/CSSQuadValue.h',
            'css/CSSReflectValue.cpp',
            'css/CSSRule.cpp',
            'css/CSSRule.h',
            'css/CSSRuleList.cpp',
            'css/CSSRuleList.h',
            'css/CSSSVGDocumentValue.cpp',
            'css/CSSSVGDocumentValue.h',
            'css/CSSSegmentedFontFace.cpp',
            'css/CSSSegmentedFontFace.h',
            'css/CSSSelector.cpp',
            'css/CSSSelectorList.cpp',
            'css/CSSSelectorList.h',
            'css/CSSShadowValue.cpp',
            'css/CSSShadowValue.h',
            'css/CSSStringValue.cpp',
            'css/CSSStringValue.h',
            'css/CSSStyleDeclaration.h',
            'css/CSSStyleRule.cpp',
            'css/CSSStyleRule.h',
            'css/CSSStyleSheet.cpp',
            'css/CSSStyleSheet.h',
            'css/CSSSupportsRule.cpp',
            'css/CSSSupportsRule.h',
            'css/CSSTimingFunctionValue.cpp',
            'css/CSSTimingFunctionValue.h',
            'css/CSSToLengthConversionData.cpp',
            'css/CSSToLengthConversionData.h',
            'css/CSSUnicodeRangeValue.cpp',
            'css/CSSUnicodeRangeValue.h',
            'css/CSSUnsetValue.cpp',
            'css/CSSUnsetValue.h',
            'css/CSSURIValue.cpp',
            'css/CSSURIValue.h',
            'css/CSSValue.cpp',
            'css/CSSValueList.cpp',
            'css/CSSValuePair.cpp',
            'css/CSSValuePair.h',
            'css/CSSValuePool.cpp',
            'css/CSSValuePool.h',
            'css/CSSVariableData.cpp',
            'css/CSSVariableData.h',
            'css/CSSVariableReferenceValue.cpp',
            'css/CSSVariableReferenceValue.h',
            'css/CSSViewportRule.cpp',
            'css/CSSViewportRule.h',
            'css/DOMWindowCSS.cpp',
            'css/DOMWindowCSS.h',
            'css/DocumentFontFaceSet.cpp',
            'css/DocumentFontFaceSet.h',
            'css/ElementRuleCollector.cpp',
            'css/ElementRuleCollector.h',
            'css/FontFace.cpp',
            'css/FontFace.h',
            'css/FontFaceCache.cpp',
            'css/FontFaceCache.h',
            'css/FontFaceSet.cpp',
            'css/FontFaceSet.h',
            'css/FontFaceSetLoadEvent.cpp',
            'css/FontFaceSetLoadEvent.h',
            'css/FontLoader.cpp',
            'css/FontLoader.h',
            'css/FontSize.cpp',
            'css/FontSize.h',
            'css/FontStyleMatcher.cpp',
            'css/FontStyleMatcher.h',
            'css/HashTools.h',
            'css/KeyframeStyleRuleCSSStyleDeclaration.cpp',
            'css/KeyframeStyleRuleCSSStyleDeclaration.h',
            'css/ComputedStyleCSSValueMapping.h',
            'css/ComputedStyleCSSValueMapping.cpp',
            'css/LocalFontFaceSource.cpp',
            'css/LocalFontFaceSource.h',
            'css/MediaList.cpp',
            'css/MediaList.h',
            'css/MediaQuery.cpp',
            'css/MediaQuery.h',
            'css/MediaQueryEvaluator.cpp',
            'css/MediaQueryEvaluator.h',
            'css/MediaQueryExp.cpp',
            'css/MediaQueryExp.h',
            'css/MediaQueryList.cpp',
            'css/MediaQueryList.h',
            'css/MediaQueryListEvent.h',
            'css/MediaQueryListListener.cpp',
            'css/MediaQueryListListener.h',
            'css/MediaQueryMatcher.cpp',
            'css/MediaQueryMatcher.h',
            'css/MediaValues.cpp',
            'css/MediaValuesCached.cpp',
            'css/MediaValuesDynamic.cpp',
            'css/PageRuleCollector.cpp',
            'css/PageRuleCollector.h',
            'css/PropertySetCSSStyleDeclaration.cpp',
            'css/PropertySetCSSStyleDeclaration.h',
            'css/PseudoStyleRequest.h',
            'css/RemoteFontFaceSource.cpp',
            'css/RemoteFontFaceSource.h',
            'css/RuleFeature.cpp',
            'css/RuleFeature.h',
            'css/RuleSet.cpp',
            'css/RuleSet.h',
            'css/SelectorChecker.cpp',
            'css/SelectorChecker.h',
            'css/SelectorFilter.cpp',
            'css/SelectorFilter.h',
            'css/StyleColor.cpp',
            'css/StyleColor.h',
            'css/StyleMedia.cpp',
            'css/StyleMedia.h',
            'css/StylePropertySerializer.cpp',
            'css/StylePropertySerializer.h',
            'css/StylePropertySet.cpp',
            'css/StylePropertySet.h',
            'css/StylePropertyShorthandCustom.cpp',
            'css/StyleRule.cpp',
            'css/StyleRule.h',
            'css/StyleRuleImport.cpp',
            'css/StyleRuleImport.h',
            'css/StyleRuleKeyframe.cpp',
            'css/StyleRuleKeyframe.h',
            'css/StyleRuleNamespace.h',
            'css/StyleSheet.cpp',
            'css/StyleSheet.h',
            'css/StyleSheetContents.cpp',
            'css/StyleSheetContents.h',
            'css/StyleSheetList.cpp',
            'css/StyleSheetList.h',
            'css/cssom/KeywordValue.cpp',
            'css/cssom/KeywordValue.h',
            'css/cssom/LengthValue.cpp',
            'css/cssom/LengthValue.h',
            'css/cssom/MatrixTransformComponent.cpp',
            'css/cssom/MatrixTransformComponent.h',
            'css/cssom/NumberValue.h',
            'css/cssom/ScaleTransformComponent.cpp',
            'css/cssom/ScaleTransformComponent.h',
            'css/cssom/SimpleLength.cpp',
            'css/cssom/SimpleLength.h',
            'css/cssom/StyleValue.cpp',
            'css/cssom/StyleValue.h',
            'css/cssom/TransformComponent.h',
            'css/cssom/TransformValue.cpp',
            'css/cssom/TransformValue.h',
            'css/invalidation/InvalidationSet.cpp',
            'css/invalidation/InvalidationSet.h',
            'css/invalidation/InvalidationData.cpp',
            'css/invalidation/InvalidationData.h',
            'css/invalidation/PendingInvalidations.h',
            'css/invalidation/StyleInvalidator.cpp',
            'css/invalidation/StyleInvalidator.h',
            'css/invalidation/StyleSheetInvalidationAnalysis.cpp',
            'css/invalidation/StyleSheetInvalidationAnalysis.h',
            'css/parser/CSSAtRuleID.cpp',
            'css/parser/CSSAtRuleID.h',
            'css/parser/CSSParser.cpp',
            'css/parser/CSSParser.h',
            'css/parser/CSSParserFastPaths.cpp',
            'css/parser/CSSParserFastPaths.h',
            'css/parser/CSSParserImpl.cpp',
            'css/parser/CSSParserImpl.h',
            'css/parser/CSSParserMode.cpp',
            'css/parser/CSSParserMode.h',
            'css/parser/CSSParserObserverWrapper.cpp',
            'css/parser/CSSParserToken.cpp',
            'css/parser/CSSParserTokenRange.cpp',
            'css/parser/CSSParserTokenRange.h',
            'css/parser/CSSParserValues.cpp',
            'css/parser/CSSParserSelector.h',
            'css/parser/CSSParserSelector.cpp',
            'css/parser/CSSPropertyParser.cpp',
            'css/parser/CSSPropertyParser.h',
            'css/parser/CSSSelectorParser.cpp',
            'css/parser/CSSSelectorParser.h',
            'css/parser/CSSSupportsParser.cpp',
            'css/parser/CSSSupportsParser.h',
            'css/parser/CSSTokenizer.cpp',
            'css/parser/CSSTokenizerInputStream.cpp',
            'css/parser/CSSVariableParser.cpp',
            'css/parser/CSSVariableParser.h',
            'css/parser/LegacyCSSPropertyParser.cpp',
            'css/parser/MediaQueryBlockWatcher.cpp',
            'css/parser/MediaQueryParser.cpp',
            'css/parser/SizesAttributeParser.cpp',
            'css/parser/SizesCalcParser.cpp',
            'css/properties/CSSPropertyDescriptor.h',
            'css/properties/CSSPropertyDescriptor.cpp',
            'css/properties/CSSPropertyFunctions.h',
            'css/resolver/AnimatedStyleBuilder.cpp',
            'css/resolver/AnimatedStyleBuilder.h',
            'css/resolver/CSSToStyleMap.cpp',
            'css/resolver/CSSToStyleMap.h',
            'css/resolver/CSSVariableResolver.cpp',
            'css/resolver/CSSVariableResolver.h',
            'css/resolver/ElementResolveContext.cpp',
            'css/resolver/ElementResolveContext.h',
            'css/resolver/ElementStyleResources.cpp',
            'css/resolver/ElementStyleResources.h',
            'css/resolver/FilterOperationResolver.cpp',
            'css/resolver/FilterOperationResolver.h',
            'css/resolver/FontBuilder.cpp',
            'css/resolver/FontBuilder.h',
            'css/resolver/MatchRequest.h',
            'css/resolver/MatchResult.cpp',
            'css/resolver/MatchResult.h',
            'css/resolver/MatchedPropertiesCache.cpp',
            'css/resolver/MatchedPropertiesCache.h',
            'css/resolver/MediaQueryResult.h',
            'css/resolver/ScopedStyleResolver.cpp',
            'css/resolver/ScopedStyleResolver.h',
            'css/resolver/SharedStyleFinder.cpp',
            'css/resolver/SharedStyleFinder.h',
            'css/resolver/StyleAdjuster.cpp',
            'css/resolver/StyleAdjuster.h',
            'css/resolver/StyleBuilderConverter.cpp',
            'css/resolver/StyleBuilderConverter.h',
            'css/resolver/StyleBuilderCustom.cpp',
            'css/resolver/StyleResolver.cpp',
            'css/resolver/StyleResolver.h',
            'css/resolver/StyleResolverParentScope.cpp',
            'css/resolver/StyleResolverParentScope.h',
            'css/resolver/StyleResolverState.cpp',
            'css/resolver/StyleResolverState.h',
            'css/resolver/StyleResolverStats.cpp',
            'css/resolver/StyleResolverStats.h',
            'css/resolver/TransformBuilder.cpp',
            'css/resolver/TransformBuilder.h',
            'css/resolver/ViewportStyleResolver.cpp',
            'css/resolver/ViewportStyleResolver.h',
            'editing/CaretBase.cpp',
            'editing/CaretBase.h',
            'editing/CompositionUnderline.h',
            'editing/DOMSelection.cpp',
            'editing/DOMSelection.h',
            'editing/DragCaretController.cpp',
            'editing/DragCaretController.h',
            'editing/EditingBehavior.cpp',
            'editing/EditingBehavior.h',
            'editing/EditingStrategy.cpp',
            'editing/EditingStrategy.h',
            'editing/EditingStyle.cpp',
            'editing/EditingUtilities.cpp',
            'editing/EditingUtilities.h',
            'editing/Editor.cpp',
            'editing/EditorKeyBindings.cpp',
            'editing/EphemeralRange.cpp',
            'editing/EphemeralRange.h',
            'editing/FrameSelection.cpp',
            'editing/GranularityStrategy.cpp',
            'editing/InputMethodController.cpp',
            'editing/InputMethodController.h',
            'editing/PendingSelection.cpp',
            'editing/PendingSelection.h',
            'editing/PlainTextRange.cpp',
            'editing/PlainTextRange.h',
            'editing/Position.cpp',
            'editing/Position.h',
            'editing/PositionIterator.cpp',
            'editing/PositionIterator.h',
            'editing/PositionWithAffinity.cpp',
            'editing/PositionWithAffinity.h',
            'editing/RenderedPosition.cpp',
            'editing/RenderedPosition.h',
            'editing/SelectionController.cpp',
            'editing/SelectionController.h',
            'editing/SelectionEditor.cpp',
            'editing/SelectionEditor.h',
            'editing/SelectionType.h',
            'editing/SurroundingText.cpp',
            'editing/SurroundingText.h',
            'editing/VisiblePosition.cpp',
            'editing/VisibleSelection.cpp',
            'editing/VisibleUnits.cpp',
            'editing/commands/AppendNodeCommand.cpp',
            'editing/commands/AppendNodeCommand.h',
            'editing/commands/ApplyBlockElementCommand.cpp',
            'editing/commands/ApplyBlockElementCommand.h',
            'editing/commands/ApplyStyleCommand.cpp',
            'editing/commands/ApplyStyleCommand.h',
            'editing/commands/BreakBlockquoteCommand.cpp',
            'editing/commands/BreakBlockquoteCommand.h',
            'editing/commands/CompositeEditCommand.cpp',
            'editing/commands/CompositeEditCommand.h',
            'editing/commands/CreateLinkCommand.cpp',
            'editing/commands/CreateLinkCommand.h',
            'editing/commands/DeleteFromTextNodeCommand.cpp',
            'editing/commands/DeleteFromTextNodeCommand.h',
            'editing/commands/DeleteSelectionCommand.cpp',
            'editing/commands/DeleteSelectionCommand.h',
            'editing/commands/EditCommand.cpp',
            'editing/commands/EditCommand.h',
            'editing/commands/EditorCommand.cpp',
            'editing/commands/FormatBlockCommand.cpp',
            'editing/commands/FormatBlockCommand.h',
            'editing/commands/IndentOutdentCommand.cpp',
            'editing/commands/IndentOutdentCommand.h',
            'editing/commands/InsertIntoTextNodeCommand.cpp',
            'editing/commands/InsertIntoTextNodeCommand.h',
            'editing/commands/InsertLineBreakCommand.cpp',
            'editing/commands/InsertLineBreakCommand.h',
            'editing/commands/InsertListCommand.cpp',
            'editing/commands/InsertListCommand.h',
            'editing/commands/InsertNodeBeforeCommand.cpp',
            'editing/commands/InsertNodeBeforeCommand.h',
            'editing/commands/InsertParagraphSeparatorCommand.cpp',
            'editing/commands/InsertParagraphSeparatorCommand.h',
            'editing/commands/InsertTextCommand.cpp',
            'editing/commands/InsertTextCommand.h',
            'editing/commands/MergeIdenticalElementsCommand.cpp',
            'editing/commands/MergeIdenticalElementsCommand.h',
            'editing/commands/MoveSelectionCommand.cpp',
            'editing/commands/MoveSelectionCommand.h',
            'editing/commands/RemoveCSSPropertyCommand.cpp',
            'editing/commands/RemoveCSSPropertyCommand.h',
            'editing/commands/RemoveFormatCommand.cpp',
            'editing/commands/RemoveFormatCommand.h',
            'editing/commands/RemoveNodeCommand.cpp',
            'editing/commands/RemoveNodeCommand.h',
            'editing/commands/RemoveNodePreservingChildrenCommand.cpp',
            'editing/commands/RemoveNodePreservingChildrenCommand.h',
            'editing/commands/ReplaceNodeWithSpanCommand.cpp',
            'editing/commands/ReplaceNodeWithSpanCommand.h',
            'editing/commands/ReplaceSelectionCommand.cpp',
            'editing/commands/ReplaceSelectionCommand.h',
            'editing/commands/SetNodeAttributeCommand.cpp',
            'editing/commands/SetNodeAttributeCommand.h',
            'editing/commands/SimplifyMarkupCommand.cpp',
            'editing/commands/SimplifyMarkupCommand.h',
            'editing/commands/SmartReplace.h',
            'editing/commands/SmartReplaceCF.cpp',
            'editing/commands/SmartReplaceICU.cpp',
            'editing/commands/SplitElementCommand.cpp',
            'editing/commands/SplitElementCommand.h',
            'editing/commands/SplitTextNodeCommand.cpp',
            'editing/commands/SplitTextNodeCommand.h',
            'editing/commands/SplitTextNodeContainingElementCommand.cpp',
            'editing/commands/SplitTextNodeContainingElementCommand.h',
            'editing/commands/TextInsertionBaseCommand.cpp',
            'editing/commands/TextInsertionBaseCommand.h',
            'editing/commands/TypingCommand.cpp',
            'editing/commands/TypingCommand.h',
            'editing/commands/UndoStack.cpp',
            'editing/commands/UndoStack.h',
            'editing/commands/UndoStep.h',
            'editing/commands/UnlinkCommand.cpp',
            'editing/commands/UnlinkCommand.h',
            'editing/commands/WrapContentsInDummySpanCommand.cpp',
            'editing/commands/WrapContentsInDummySpanCommand.h',
            'editing/iterators/BackwardsCharacterIterator.cpp',
            'editing/iterators/BitStack.cpp',
            'editing/iterators/FullyClippedStateStack.cpp',
            'editing/iterators/SearchBuffer.cpp',
            'editing/iterators/SearchBuffer.h',
            'editing/iterators/TextIterator.cpp',
            'editing/iterators/TextIterator.h',
            'editing/iterators/TextIteratorTextState.cpp',
            'editing/iterators/TextIteratorTextState.h',
            'editing/iterators/CharacterIterator.cpp',
            'editing/iterators/SimplifiedBackwardsTextIterator.cpp',
            'editing/iterators/WordAwareIterator.cpp',
            'editing/markers/DocumentMarker.cpp',
            'editing/markers/DocumentMarker.h',
            'editing/markers/DocumentMarkerController.cpp',
            'editing/markers/DocumentMarkerController.h',
            'editing/markers/RenderedDocumentMarker.h',
            'editing/serializers/HTMLInterchange.cpp',
            'editing/serializers/HTMLInterchange.h',
            'editing/serializers/MarkupAccumulator.cpp',
            'editing/serializers/MarkupAccumulator.h',
            'editing/serializers/MarkupFormatter.cpp',
            'editing/serializers/MarkupFormatter.h',
            'editing/serializers/Serialization.cpp',
            'editing/serializers/Serialization.h',
            'editing/serializers/StyledMarkupAccumulator.cpp',
            'editing/serializers/StyledMarkupAccumulator.h',
            'editing/serializers/StyledMarkupSerializer.cpp',
            'editing/serializers/StyledMarkupSerializer.h',
            'editing/serializers/TextOffset.cpp',
            'editing/serializers/TextOffset.h',
            'editing/spellcheck/SpellCheckRequester.cpp',
            'editing/spellcheck/SpellCheckRequester.h',
            'editing/spellcheck/SpellChecker.cpp',
            'editing/spellcheck/SpellChecker.h',
            'editing/spellcheck/TextCheckingHelper.cpp',
            'editing/spellcheck/TextCheckingHelper.h',
            'experiments/Experiments.cpp',
            'experiments/Experiments.h',
            'fetch/AccessControlStatus.h',
            'fetch/CSSStyleSheetResource.cpp',
            'fetch/CSSStyleSheetResource.h',
            'fetch/CachedMetadata.h',
            'fetch/CachedMetadataHandler.h',
            'fetch/ClientHintsPreferences.cpp',
            'fetch/ClientHintsPreferences.h',
            'fetch/CrossOriginAccessControl.cpp',
            'fetch/CrossOriginAccessControl.h',
            'fetch/DocumentResource.cpp',
            'fetch/DocumentResource.h',
            'fetch/DocumentResourceReference.h',
            'fetch/FetchContext.cpp',
            'fetch/FetchContext.h',
            'fetch/FetchInitiatorInfo.h',
            'fetch/FetchRequest.cpp',
            'fetch/FetchRequest.h',
            'fetch/FetchUtils.cpp',
            'fetch/FetchUtils.h',
            'fetch/FontResource.cpp',
            'fetch/FontResource.h',
            'fetch/ImageResource.cpp',
            'fetch/ImageResource.h',
            'fetch/IntegrityMetadata.cpp',
            'fetch/IntegrityMetadata.h',
            'fetch/LinkFetchResource.cpp',
            'fetch/LinkFetchResource.h',
            'fetch/MemoryCache.cpp',
            'fetch/MemoryCache.h',
            'fetch/RawResource.cpp',
            'fetch/RawResource.h',
            'fetch/Resource.cpp',
            'fetch/Resource.h',
            'fetch/ResourceClientWalker.h',
            'fetch/ResourceFetcher.cpp',
            'fetch/ResourceFetcher.h',
            'fetch/ResourceLoader.cpp',
            'fetch/ResourceLoader.h',
            'fetch/ResourceLoaderOptions.h',
            'fetch/ResourceLoaderSet.cpp',
            'fetch/ResourceLoaderSet.h',
            'fetch/ResourcePtr.cpp',
            'fetch/ResourcePtr.h',
            'fetch/ScriptResource.cpp',
            'fetch/ScriptResource.h',
            'fetch/SubstituteData.h',
            'fetch/TextResource.cpp',
            'fetch/TextResource.h',
            'fetch/UniqueIdentifier.cpp',
            'fetch/UniqueIdentifier.h',
            'fetch/WebCacheMemoryDumpProvider.cpp',
            'fetch/WebCacheMemoryDumpProvider.h',
            'fetch/XSLStyleSheetResource.cpp',
            'fetch/XSLStyleSheetResource.h',
            'fileapi/Blob.cpp',
            'fileapi/Blob.h',
            'fileapi/File.cpp',
            'fileapi/File.h',
            'fileapi/FileCallback.h',
            'fileapi/FileError.cpp',
            'fileapi/FileError.h',
            'fileapi/FileList.cpp',
            'fileapi/FileList.h',
            'fileapi/FileReader.cpp',
            'fileapi/FileReader.h',
            'fileapi/FileReaderLoader.cpp',
            'fileapi/FileReaderLoader.h',
            'fileapi/FileReaderLoaderClient.h',
            'fileapi/FileReaderSync.cpp',
            'fileapi/FileReaderSync.h',
            'frame/BarProp.cpp',
            'frame/BarProp.h',
            'frame/Console.cpp',
            'frame/Console.h',
            'frame/ConsoleBase.cpp',
            'frame/ConsoleBase.h',
            'frame/DOMTimer.cpp',
            'frame/DOMTimer.h',
            'frame/DOMTimerCoordinator.cpp',
            'frame/DOMTimerCoordinator.h',
            'frame/DOMWindow.cpp',
            'frame/DOMWindow.h',
            'frame/DOMWindowBase64.cpp',
            'frame/DOMWindowBase64.h',
            'frame/DOMWindowEventHandlers.h',
            'frame/DOMWindowLifecycleNotifier.cpp',
            'frame/DOMWindowLifecycleNotifier.h',
            'frame/DOMWindowLifecycleObserver.h',
            'frame/DOMWindowProperty.cpp',
            'frame/DOMWindowProperty.h',
            'frame/DOMWindowTimers.cpp',
            'frame/DOMWindowTimers.h',
            'frame/DeprecatedScheduleStyleRecalcDuringLayout.cpp',
            'frame/DeprecatedScheduleStyleRecalcDuringLayout.h',
            'frame/DeviceSingleWindowEventController.cpp',
            'frame/DeviceSingleWindowEventController.h',
            'frame/EventHandlerRegistry.cpp',
            'frame/EventHandlerRegistry.h',
            'frame/Frame.cpp',
            'frame/Frame.h',
            'frame/FrameConsole.cpp',
            'frame/FrameHost.cpp',
            'frame/FrameHost.h',
            'frame/FrameOwner.h',
            'frame/FrameSerializer.cpp',
            'frame/FrameSerializer.h',
            'frame/FrameView.cpp',
            'frame/FrameView.h',
            'frame/FrameViewAutoSizeInfo.cpp',
            'frame/History.cpp',
            'frame/History.h',
            'frame/ImageBitmap.cpp',
            'frame/ImageBitmap.h',
            'frame/LayoutSubtreeRootList.cpp',
            'frame/LayoutSubtreeRootList.h',
            'frame/LocalDOMWindow.cpp',
            'frame/LocalDOMWindow.h',
            'frame/LocalFrame.cpp',
            'frame/LocalFrame.h',
            'frame/LocalFrameLifecycleNotifier.cpp',
            'frame/LocalFrameLifecycleNotifier.h',
            'frame/LocalFrameLifecycleObserver.h',
            'frame/Location.cpp',
            'frame/Location.h',
            'frame/Navigator.cpp',
            'frame/Navigator.h',
            'frame/NavigatorCPU.cpp',
            'frame/NavigatorCPU.h',
            'frame/NavigatorID.cpp',
            'frame/NavigatorID.h',
            'frame/NavigatorLanguage.cpp',
            'frame/NavigatorLanguage.h',
            'frame/NavigatorOnLine.h',
            'frame/OriginsUsingFeatures.cpp',
            'frame/OriginsUsingFeatures.h',
            'frame/PageScaleConstraints.cpp',
            'frame/PageScaleConstraints.h',
            'frame/PageScaleConstraintsSet.cpp',
            'frame/PageScaleConstraintsSet.h',
            'frame/PlatformEventController.cpp',
            'frame/PlatformEventController.h',
            'frame/PlatformEventDispatcher.cpp',
            'frame/PlatformEventDispatcher.h',
            'frame/RemoteDOMWindow.cpp',
            'frame/RemoteDOMWindow.h',
            'frame/RemoteFrame.cpp',
            'frame/RemoteFrame.h',
            'frame/RemoteFrameClient.h',
            'frame/RemoteFrameView.cpp',
            'frame/RemoteFrameView.h',
            'frame/RootFrameViewport.cpp',
            'frame/RootFrameViewport.h',
            'frame/Screen.cpp',
            'frame/Screen.h',
            'frame/Settings.cpp',
            'frame/SettingsDelegate.cpp',
            'frame/SettingsDelegate.h',
            'frame/SmartClip.cpp',
            'frame/SmartClip.h',
            'frame/SubresourceIntegrity.cpp',
            'frame/SubresourceIntegrity.h',
            'frame/SuspendableTimer.cpp',
            'frame/SuspendableTimer.h',
            'frame/TopControls.cpp',
            'frame/TopControls.h',
            'frame/UseCounter.cpp',
            'frame/VisualViewport.cpp',
            'frame/VisualViewport.h',
            'frame/csp/CSPDirectiveList.cpp',
            'frame/csp/CSPSource.cpp',
            'frame/csp/CSPSourceList.cpp',
            'frame/csp/ContentSecurityPolicy.cpp',
            'frame/csp/MediaListDirective.cpp',
            'frame/csp/SourceListDirective.cpp',
            'imagebitmap/ImageBitmapFactories.cpp',
            'imagebitmap/ImageBitmapFactories.h',
            'imagebitmap/ImageBitmapSource.cpp',
            'imagebitmap/ImageBitmapSource.h',
            'inspector/AsyncCallChain.cpp',
            'inspector/AsyncCallChain.h',
            'inspector/AsyncCallTracker.cpp',
            'inspector/AsyncCallTracker.h',
            'inspector/AsyncOperationMap.h',
            'inspector/ConsoleAPITypes.h',
            'inspector/ConsoleMessage.cpp',
            'inspector/ConsoleMessage.h',
            'inspector/ConsoleMessageStorage.cpp',
            'inspector/ConsoleMessageStorage.h',
            'inspector/ContentSearchUtils.cpp',
            'inspector/ContentSearchUtils.h',
            'inspector/DebuggerScript.cpp',
            'inspector/DebuggerScript.h',
            'inspector/DOMEditor.cpp',
            'inspector/DOMEditor.h',
            'inspector/DOMPatchSupport.cpp',
            'inspector/DOMPatchSupport.h',
            'inspector/DevToolsHost.cpp',
            'inspector/DevToolsHost.h',
            'inspector/EventListenerInfo.cpp',
            'inspector/EventListenerInfo.h',
            'inspector/IdentifiersFactory.cpp',
            'inspector/IdentifiersFactory.h',
            'inspector/InjectedScript.cpp',
            'inspector/InjectedScript.h',
            'inspector/InjectedScriptNative.cpp',
            'inspector/InjectedScriptNative.h',
            'inspector/InjectedScriptHost.cpp',
            'inspector/InjectedScriptHost.h',
            'inspector/InjectedScriptManager.cpp',
            'inspector/InjectedScriptManager.h',
            'inspector/InspectedFrames.cpp',
            'inspector/InspectedFrames.h',
            'inspector/InspectorAnimationAgent.cpp',
            'inspector/InspectorAnimationAgent.h',
            'inspector/InspectorApplicationCacheAgent.cpp',
            'inspector/InspectorApplicationCacheAgent.h',
            'inspector/InspectorBaseAgent.cpp',
            'inspector/InspectorCSSAgent.cpp',
            'inspector/InspectorCSSAgent.h',
            'inspector/InspectorConsoleAgent.cpp',
            'inspector/InspectorConsoleAgent.h',
            'inspector/InspectorConsoleInstrumentation.h',
            'inspector/InspectorDOMAgent.cpp',
            'inspector/InspectorDOMDebuggerAgent.cpp',
            'inspector/InspectorDOMDebuggerAgent.h',
            'inspector/InspectorDebuggerAgent.cpp',
            'inspector/InspectorDebuggerAgent.h',
            'inspector/InspectorFrontendChannel.h',
            'inspector/InspectorHeapProfilerAgent.cpp',
            'inspector/InspectorHeapProfilerAgent.h',
            'inspector/InspectorHighlight.cpp',
            'inspector/InspectorHighlight.h',
            'inspector/InspectorHistory.cpp',
            'inspector/InspectorHistory.h',
            'inspector/InspectorInputAgent.cpp',
            'inspector/InspectorInputAgent.h',
            'inspector/InspectorInspectorAgent.cpp',
            'inspector/InspectorInstrumentation.cpp',
            'inspector/InspectorInstrumentation.h',
            'inspector/InspectorInstrumentationCustomInl.h',
            'inspector/InspectorLayerTreeAgent.cpp',
            'inspector/InspectorLayerTreeAgent.h',
            'inspector/InspectorMemoryAgent.cpp',
            'inspector/InspectorMemoryAgent.h',
            'inspector/InspectorOverlayHost.cpp',
            'inspector/InspectorOverlayHost.h',
            'inspector/InspectorPageAgent.cpp',
            'inspector/InspectorPageAgent.h',
            'inspector/InspectorProfilerAgent.cpp',
            'inspector/InspectorProfilerAgent.h',
            'inspector/InspectorResourceAgent.cpp',
            'inspector/InspectorResourceAgent.h',
            'inspector/InspectorResourceContentLoader.cpp',
            'inspector/InspectorResourceContentLoader.h',
            'inspector/InspectorRuntimeAgent.cpp',
            'inspector/InspectorRuntimeAgent.h',
            'inspector/InspectorState.cpp',
            'inspector/InspectorState.h',
            'inspector/InspectorStateClient.h',
            'inspector/InspectorStyleSheet.cpp',
            'inspector/InspectorStyleSheet.h',
            'inspector/InspectorTaskRunner.cpp',
            'inspector/InspectorTaskRunner.h',
            'inspector/InspectorTimelineAgent.cpp',
            'inspector/InspectorTimelineAgent.h',
            'inspector/InspectorTraceEvents.cpp',
            'inspector/InspectorTraceEvents.h',
            'inspector/InspectorTracingAgent.cpp',
            'inspector/InspectorTracingAgent.h',
            'inspector/InspectorWorkerAgent.cpp',
            'inspector/InspectorWorkerAgent.h',
            'inspector/InstanceCounters.cpp',
            'inspector/InstanceCounters.h',
            'inspector/InstrumentingAgents.h',
            'inspector/JSONParser.cpp',
            'inspector/JSONParser.h',
            'inspector/LayoutEditor.cpp',
            'inspector/LayoutEditor.h',
            'inspector/MainThreadDebugger.cpp',
            'inspector/MainThreadDebugger.h',
            'inspector/MuteConsoleScope.h',
            'inspector/NetworkResourcesData.cpp',
            'inspector/NetworkResourcesData.h',
            'inspector/PageConsoleAgent.cpp',
            'inspector/PageConsoleAgent.h',
            'inspector/PageDebuggerAgent.cpp',
            'inspector/PageDebuggerAgent.h',
            'inspector/PageRuntimeAgent.cpp',
            'inspector/PageRuntimeAgent.h',
            'inspector/PromiseTracker.cpp',
            'inspector/PromiseTracker.h',
            'inspector/RemoteObjectId.cpp',
            'inspector/RemoteObjectId.h',
            'inspector/ScriptArguments.cpp',
            'inspector/ScriptArguments.h',
            'inspector/ScriptAsyncCallStack.cpp',
            'inspector/ScriptAsyncCallStack.h',
            'inspector/ScriptCallFrame.cpp',
            'inspector/ScriptCallFrame.h',
            'inspector/ScriptCallStack.cpp',
            'inspector/ScriptCallStack.h',
            'inspector/v8/InspectorWrapper.cpp',
            'inspector/v8/InspectorWrapper.h',
            'inspector/v8/IgnoreExceptionsScope.h',
            'inspector/v8/JavaScriptCallFrame.cpp',
            'inspector/v8/JavaScriptCallFrame.h',
            'inspector/v8/ScriptBreakpoint.h',
            'inspector/v8/V8AsyncCallTracker.cpp',
            'inspector/v8/V8AsyncCallTracker.h',
            'inspector/v8/V8DebuggerAgent.h',
            'inspector/v8/V8DebuggerAgentImpl.cpp',
            'inspector/v8/V8DebuggerAgentImpl.h',
            'inspector/v8/V8Debugger.h',
            'inspector/v8/V8DebuggerClient.h',
            'inspector/v8/V8DebuggerImpl.cpp',
            'inspector/v8/V8DebuggerImpl.h',
            'inspector/v8/V8DebuggerScript.cpp',
            'inspector/v8/V8DebuggerScript.h',
            'inspector/v8/V8InjectedScriptHost.cpp',
            'inspector/v8/V8InjectedScriptHost.h',
            'inspector/v8/V8JavaScriptCallFrame.cpp',
            'inspector/v8/V8JavaScriptCallFrame.h',
            'inspector/v8/V8ProfilerAgent.h',
            'inspector/v8/V8ProfilerAgentImpl.cpp',
            'inspector/v8/V8ProfilerAgentImpl.h',
            'inspector/v8/V8RuntimeAgent.h',
            'inspector/v8/V8RuntimeAgentImpl.cpp',
            'inspector/v8/V8RuntimeAgentImpl.h',
            'inspector/WorkerConsoleAgent.cpp',
            'inspector/WorkerConsoleAgent.h',
            'inspector/WorkerDebuggerAgent.cpp',
            'inspector/WorkerDebuggerAgent.h',
            'inspector/WorkerInspectorController.cpp',
            'inspector/WorkerInspectorController.h',
            'inspector/WorkerRuntimeAgent.cpp',
            'inspector/WorkerRuntimeAgent.h',
            'inspector/WorkerThreadDebugger.cpp',
            'inspector/WorkerThreadDebugger.h',
            'loader/BeaconLoader.cpp',
            'loader/BeaconLoader.h',
            'loader/CookieJar.cpp',
            'loader/CrossOriginPreflightResultCache.cpp',
            'loader/DocumentLoadTiming.cpp',
            'loader/DocumentLoader.cpp',
            'loader/DocumentThreadableLoader.cpp',
            'loader/DocumentThreadableLoader.h',
            'loader/DocumentThreadableLoaderClient.h',
            'loader/DocumentWriter.cpp',
            'loader/EmptyClients.cpp',
            'loader/EmptyClients.h',
            'loader/FormSubmission.cpp',
            'loader/FrameFetchContext.cpp',
            'loader/FrameFetchContext.h',
            'loader/FrameLoadRequest.h',
            'loader/FrameLoader.cpp',
            'loader/FrameLoaderStateMachine.cpp',
            'loader/HistoryItem.cpp',
            'loader/HistoryItem.h',
            'loader/HttpEquiv.cpp',
            'loader/HttpEquiv.h',
            'loader/ImageLoader.cpp',
            'loader/ImageLoader.h',
            'loader/LinkHeader.cpp',
            'loader/LinkLoader.cpp',
            'loader/LinkLoader.h',
            'loader/LinkLoaderClient.h',
            'loader/MixedContentChecker.cpp',
            'loader/MixedContentChecker.h',
            'loader/NavigationPolicy.cpp',
            'loader/NavigationPolicy.h',
            'loader/NavigationScheduler.cpp',
            'loader/PingLoader.cpp',
            'loader/PingLoader.h',
            'loader/PrerenderHandle.cpp',
            'loader/PrerenderHandle.h',
            'loader/PrerendererClient.cpp',
            'loader/PrerendererClient.h',
            'loader/ProgressTracker.cpp',
            'loader/SinkDocument.cpp',
            'loader/SinkDocument.h',
            'loader/TextResourceDecoderBuilder.cpp',
            'loader/TextResourceDecoderBuilder.h',
            'loader/TextTrackLoader.cpp',
            'loader/TextTrackLoader.h',
            'loader/ThreadableLoader.cpp',
            'loader/ThreadableLoaderClient.h',
            'loader/ThreadableLoaderClientWrapper.h',
            'loader/WorkerLoaderClientBridge.cpp',
            'loader/WorkerLoaderClientBridge.h',
            'loader/WorkerLoaderClientBridgeSyncHelper.cpp',
            'loader/WorkerLoaderClientBridgeSyncHelper.h',
            'loader/WorkerThreadableLoader.cpp',
            'loader/WorkerThreadableLoader.h',
            'loader/appcache/ApplicationCache.cpp',
            'loader/appcache/ApplicationCache.h',
            'loader/appcache/ApplicationCacheHost.cpp',
            'loader/appcache/ApplicationCacheHost.h',
            'page/AutoscrollController.cpp',
            'page/AutoscrollController.h',
            'page/ChromeClient.cpp',
            'page/ChromeClient.h',
            'page/ContextMenuController.cpp',
            'page/ContextMenuProvider.h',
            'page/CreateWindow.cpp',
            'page/CreateWindow.h',
            'page/CustomContextMenuProvider.cpp',
            'page/CustomContextMenuProvider.h',
            'page/DOMWindowPagePopup.cpp',
            'page/DOMWindowPagePopup.h',
            'page/DragController.cpp',
            'page/DragData.cpp',
            'page/EventSource.cpp',
            'page/EventSource.h',
            'page/EventWithHitTestResults.h',
            'page/FocusController.cpp',
            'page/FrameTree.cpp',
            'page/NetworkStateNotifier.cpp',
            'page/NetworkStateNotifier.h',
            'page/Page.cpp',
            'page/Page.h',
            'page/PageAnimator.cpp',
            'page/PageAnimator.h',
            'page/PageLifecycleNotifier.cpp',
            'page/PageLifecycleNotifier.h',
            'page/PageLifecycleObserver.h',
            'page/PagePopupClient.cpp',
            'page/PagePopupClient.h',
            'page/PagePopupController.cpp',
            'page/PagePopupController.h',
            'page/PageVisibilityState.cpp',
            'page/PointerLockController.cpp',
            'page/PointerLockController.h',
            'page/PopupOpeningObserver.h',
            'page/PrintContext.cpp',
            'page/ScopedPageSuspender.cpp',
            'page/ScopedPageSuspender.h',
            'page/SpatialNavigation.cpp',
            'page/TouchAdjustment.cpp',
            'page/TouchAdjustment.h',
            'page/TouchDisambiguation.cpp',
            'page/TouchDisambiguation.h',
            'page/WindowFeatures.cpp',
            'page/scrolling/ScrollingConstraints.cpp',
            'page/scrolling/ScrollingConstraints.h',
            'page/scrolling/ScrollingCoordinator.cpp',
            'page/scrolling/ScrollingCoordinator.h',
            'page/scrolling/ScrollCustomizationCallbacks.cpp',
            'page/scrolling/ScrollCustomizationCallbacks.h',
            'page/scrolling/ScrollState.cpp',
            'page/scrolling/ScrollState.h',
            'page/scrolling/ScrollStateCallback.cpp',
            'page/scrolling/ScrollStateCallback.h',
            'paint/BackgroundImageGeometry.cpp',
            'paint/BackgroundImageGeometry.h',
            'paint/BlockFlowPainter.cpp',
            'paint/BlockFlowPainter.h',
            'paint/BlockPainter.cpp',
            'paint/BlockPainter.h',
            'paint/BoxBorderPainter.cpp',
            'paint/BoxBorderPainter.h',
            'paint/BoxClipper.cpp',
            'paint/BoxClipper.h',
            'paint/BoxDecorationData.cpp',
            'paint/BoxDecorationData.h',
            'paint/BoxPainter.cpp',
            'paint/BoxPainter.h',
            'paint/ClipScope.cpp',
            'paint/ClipScope.h',
            'paint/DetailsMarkerPainter.cpp',
            'paint/DetailsMarkerPainter.h',
            'paint/EllipsisBoxPainter.cpp',
            'paint/EllipsisBoxPainter.h',
            'paint/EmbeddedObjectPainter.cpp',
            'paint/EmbeddedObjectPainter.h',
            'paint/FieldsetPainter.cpp',
            'paint/FieldsetPainter.h',
            'paint/FileUploadControlPainter.cpp',
            'paint/FileUploadControlPainter.h',
            'paint/FilterEffectBuilder.cpp',
            'paint/FilterEffectBuilder.h',
            'paint/FilterPainter.cpp',
            'paint/FilterPainter.h',
            'paint/FloatClipRecorder.cpp',
            'paint/FloatClipRecorder.h',
            'paint/FramePainter.cpp',
            'paint/FramePainter.h',
            'paint/FrameSetPainter.cpp',
            'paint/FrameSetPainter.h',
            'paint/GridPainter.cpp',
            'paint/GridPainter.h',
            'paint/HTMLCanvasPainter.cpp',
            'paint/HTMLCanvasPainter.h',
            'paint/ImagePainter.cpp',
            'paint/ImagePainter.h',
            'paint/InlineFlowBoxPainter.cpp',
            'paint/InlineFlowBoxPainter.h',
            'paint/InlinePainter.cpp',
            'paint/InlinePainter.h',
            'paint/InlineTextBoxPainter.cpp',
            'paint/InlineTextBoxPainter.h',
            'paint/LayerClipRecorder.cpp',
            'paint/LayerClipRecorder.h',
            'paint/LayerFixedPositionRecorder.cpp',
            'paint/LayerFixedPositionRecorder.h',
            'paint/LayoutObjectDrawingRecorder.h',
            'paint/LineBoxListPainter.cpp',
            'paint/LineBoxListPainter.h',
            'paint/LineLayoutPaintShim.h',
            'paint/ListItemPainter.cpp',
            'paint/ListItemPainter.h',
            'paint/ListMarkerPainter.cpp',
            'paint/ListMarkerPainter.h',
            'paint/MediaControlsPainter.cpp',
            'paint/MediaControlsPainter.h',
            'paint/MultiColumnSetPainter.cpp',
            'paint/MultiColumnSetPainter.h',
            'paint/NinePieceImageGrid.cpp',
            'paint/NinePieceImageGrid.h',
            'paint/NinePieceImagePainter.cpp',
            'paint/NinePieceImagePainter.h',
            'paint/ObjectPaintProperties.cpp',
            'paint/ObjectPaintProperties.h',
            'paint/ObjectPainter.cpp',
            'paint/ObjectPainter.h',
            'paint/PaintInfo.cpp',
            'paint/PaintInfo.h',
            'paint/PaintInvalidationCapableScrollableArea.cpp',
            'paint/PaintInvalidationCapableScrollableArea.h',
            'paint/PaintLayer.cpp',
            'paint/PaintLayerClipper.cpp',
            'paint/PaintLayerFilterInfo.cpp',
            'paint/PaintLayerFilterInfo.h',
            'paint/PaintLayerFragment.h',
            'paint/PaintLayerReflectionInfo.cpp',
            'paint/PaintLayerPainter.cpp',
            'paint/PaintLayerPainter.h',
            'paint/PaintLayerPaintingInfo.h',
            'paint/PaintLayerScrollableArea.cpp',
            'paint/PaintLayerStackingNode.cpp',
            'paint/PaintLayerStackingNodeIterator.cpp',
            'paint/PaintPhase.cpp',
            'paint/PaintPhase.h',
            'paint/PaintPropertyTreeBuilder.cpp',
            'paint/PaintPropertyTreeBuilder.h',
            'paint/PaintPropertyTreePrinter.cpp',
            'paint/PaintPropertyTreePrinter.h',
            'paint/PaintTiming.cpp',
            'paint/PaintTiming.h',
            'paint/PartPainter.cpp',
            'paint/PartPainter.h',
            'paint/ReplacedPainter.cpp',
            'paint/ReplacedPainter.h',
            'paint/ReplicaPainter.cpp',
            'paint/ReplicaPainter.h',
            'paint/RootInlineBoxPainter.cpp',
            'paint/RootInlineBoxPainter.h',
            'paint/RoundedInnerRectClipper.cpp',
            'paint/RoundedInnerRectClipper.h',
            'paint/SVGClipPainter.cpp',
            'paint/SVGClipPainter.h',
            'paint/SVGContainerPainter.cpp',
            'paint/SVGContainerPainter.h',
            'paint/SVGFilterPainter.cpp',
            'paint/SVGFilterPainter.h',
            'paint/SVGForeignObjectPainter.cpp',
            'paint/SVGForeignObjectPainter.h',
            'paint/SVGImagePainter.cpp',
            'paint/SVGImagePainter.h',
            'paint/SVGInlineFlowBoxPainter.cpp',
            'paint/SVGInlineFlowBoxPainter.h',
            'paint/SVGInlineTextBoxPainter.cpp',
            'paint/SVGInlineTextBoxPainter.h',
            'paint/SVGMaskPainter.cpp',
            'paint/SVGMaskPainter.h',
            'paint/SVGPaintContext.cpp',
            'paint/SVGPaintContext.h',
            'paint/SVGRootInlineBoxPainter.cpp',
            'paint/SVGRootInlineBoxPainter.h',
            'paint/SVGRootPainter.cpp',
            'paint/SVGRootPainter.h',
            'paint/SVGShapePainter.cpp',
            'paint/SVGShapePainter.h',
            'paint/SVGTextPainter.cpp',
            'paint/SVGTextPainter.h',
            'paint/ScopeRecorder.cpp',
            'paint/ScopeRecorder.h',
            'paint/ScrollableAreaPainter.cpp',
            'paint/ScrollableAreaPainter.h',
            'paint/ScrollbarPainter.cpp',
            'paint/ScrollbarPainter.h',
            'paint/ScrollRecorder.cpp',
            'paint/ScrollRecorder.h',
            'paint/TableCellPainter.cpp',
            'paint/TableCellPainter.h',
            'paint/TablePainter.cpp',
            'paint/TablePainter.h',
            'paint/TableRowPainter.cpp',
            'paint/TableRowPainter.h',
            'paint/TableSectionPainter.cpp',
            'paint/TableSectionPainter.h',
            'paint/TextPainter.cpp',
            'paint/TextPainter.h',
            'paint/ThemePainter.cpp',
            'paint/ThemePainter.h',
            'paint/ThemePainterDefault.cpp',
            'paint/ThemePainterDefault.h',
            'paint/ThemePainterMac.mm',
            'paint/ThemePainterMac.h',
            'paint/Transform3DRecorder.cpp',
            'paint/Transform3DRecorder.h',
            'paint/TransformRecorder.cpp',
            'paint/TransformRecorder.h',
            'paint/VideoPainter.cpp',
            'paint/VideoPainter.h',
            'paint/ViewPainter.cpp',
            'paint/ViewPainter.h',
            'plugins/PluginView.h',
            'streams/ReadableByteStream.cpp',
            'streams/ReadableByteStream.h',
            'streams/ReadableByteStreamReader.h',
            'streams/ReadableStream.cpp',
            'streams/ReadableStream.h',
            'streams/ReadableStreamImpl.h',
            'streams/ReadableStreamReader.cpp',
            'streams/ReadableStreamReader.h',
            'streams/Stream.cpp',
            'streams/Stream.h',
            'streams/UnderlyingSource.h',
            'timing/ConsoleMemory.cpp',
            'timing/ConsoleMemory.h',
            'timing/DOMWindowPerformance.cpp',
            'timing/DOMWindowPerformance.h',
            'timing/MemoryInfo.cpp',
            'timing/Performance.cpp',
            'timing/Performance.h',
            'timing/PerformanceBase.cpp',
            'timing/PerformanceBase.h',
            'timing/PerformanceCompositeTiming.cpp',
            'timing/PerformanceCompositeTiming.h',
            'timing/PerformanceEntry.cpp',
            'timing/PerformanceEntry.h',
            'timing/PerformanceMark.h',
            'timing/PerformanceMeasure.h',
            'timing/PerformanceNavigation.cpp',
            'timing/PerformanceNavigation.h',
            'timing/PerformanceObserver.cpp',
            'timing/PerformanceObserver.h',
            'timing/PerformanceObserverCallback.h',
            'timing/PerformanceObserverEntryList.cpp',
            'timing/PerformanceObserverEntryList.h',
            'timing/PerformanceRenderTiming.cpp',
            'timing/PerformanceRenderTiming.h',
            'timing/PerformanceResourceTiming.cpp',
            'timing/PerformanceResourceTiming.h',
            'timing/PerformanceTiming.cpp',
            'timing/PerformanceTiming.h',
            'timing/PerformanceUserTiming.cpp',
            'timing/PerformanceUserTiming.h',
            'timing/SharedWorkerPerformance.cpp',
            'timing/WorkerGlobalScopePerformance.cpp',
            'timing/WorkerGlobalScopePerformance.h',
            'timing/WorkerPerformance.cpp',
            'timing/WorkerPerformance.h',
            'workers/AbstractWorker.cpp',
            'workers/AbstractWorker.h',
            'workers/DedicatedWorkerGlobalScope.cpp',
            'workers/DedicatedWorkerGlobalScope.h',
            'workers/DedicatedWorkerMessagingProxy.cpp',
            'workers/DedicatedWorkerMessagingProxy.h',
            'workers/DedicatedWorkerThread.cpp',
            'workers/DedicatedWorkerThread.h',
            'workers/InProcessWorkerBase.cpp',
            'workers/InProcessWorkerBase.h',
            'workers/SharedWorker.cpp',
            'workers/SharedWorker.h',
            'workers/SharedWorkerGlobalScope.cpp',
            'workers/SharedWorkerGlobalScope.h',
            'workers/SharedWorkerRepositoryClient.h',
            'workers/SharedWorkerThread.cpp',
            'workers/SharedWorkerThread.h',
            'workers/Worker.cpp',
            'workers/Worker.h',
            'workers/WorkerClients.h',
            'workers/WorkerConsole.cpp',
            'workers/WorkerConsole.h',
            'workers/WorkerEventQueue.cpp',
            'workers/WorkerEventQueue.h',
            'workers/WorkerGlobalScope.cpp',
            'workers/WorkerGlobalScope.h',
            'workers/WorkerGlobalScopeProxy.h',
            'workers/WorkerGlobalScopeProxyProvider.cpp',
            'workers/WorkerGlobalScopeProxyProvider.h',
            'workers/WorkerInspectorProxy.cpp',
            'workers/WorkerInspectorProxy.h',
            'workers/WorkerLoaderProxy.cpp',
            'workers/WorkerLoaderProxy.h',
            'workers/WorkerLocation.h',
            'workers/WorkerMessagingProxy.cpp',
            'workers/WorkerMessagingProxy.h',
            'workers/WorkerNavigator.cpp',
            'workers/WorkerNavigator.h',
            'workers/WorkerObjectProxy.cpp',
            'workers/WorkerObjectProxy.h',
            'workers/WorkerOrWorkletGlobalScope.h',
            'workers/WorkerReportingProxy.h',
            'workers/WorkerScriptLoader.cpp',
            'workers/WorkerScriptLoader.h',
            'workers/WorkerThread.cpp',
            'workers/WorkerThread.h',
            'workers/WorkerThreadStartupData.cpp',
            'workers/WorkerThreadStartupData.h',
            'xml/DOMParser.cpp',
            'xml/DOMParser.h',
            'xml/DocumentXPathEvaluator.cpp',
            'xml/DocumentXPathEvaluator.h',
            'xml/DocumentXSLT.cpp',
            'xml/DocumentXSLT.h',
            'xml/NativeXPathNSResolver.cpp',
            'xml/NativeXPathNSResolver.h',
            'xml/XMLSerializer.cpp',
            'xml/XMLSerializer.h',
            'xml/XPathEvaluator.cpp',
            'xml/XPathEvaluator.h',
            'xml/XPathExpression.cpp',
            'xml/XPathExpression.h',
            'xml/XPathExpressionNode.cpp',
            'xml/XPathExpressionNode.h',
            'xml/XPathFunctions.cpp',
            'xml/XPathFunctions.h',
            'xml/XPathNSResolver.h',
            'xml/XPathNodeSet.cpp',
            'xml/XPathNodeSet.h',
            'xml/XPathParser.cpp',
            'xml/XPathParser.h',
            'xml/XPathPath.cpp',
            'xml/XPathPath.h',
            'xml/XPathPredicate.cpp',
            'xml/XPathPredicate.h',
            'xml/XPathResult.cpp',
            'xml/XPathResult.h',
            'xml/XPathStep.cpp',
            'xml/XPathStep.h',
            'xml/XPathUtil.cpp',
            'xml/XPathUtil.h',
            'xml/XPathValue.cpp',
            'xml/XPathValue.h',
            'xml/XPathVariableReference.cpp',
            'xml/XPathVariableReference.h',
            'xml/XSLImportRule.cpp',
            'xml/XSLImportRule.h',
            'xml/XSLStyleSheet.h',
            'xml/XSLStyleSheetLibxslt.cpp',
            'xml/XSLTExtensions.cpp',
            'xml/XSLTExtensions.h',
            'xml/XSLTProcessor.cpp',
            'xml/XSLTProcessor.h',
            'xml/XSLTProcessorLibxslt.cpp',
            'xml/XSLTUnicodeSort.cpp',
            'xml/XSLTUnicodeSort.h',
            'xml/parser/MarkupTokenizerInlines.h',
            'xml/parser/SharedBufferReader.cpp',
            'xml/parser/SharedBufferReader.h',
            'xml/parser/XMLDocumentParser.cpp',
            'xml/parser/XMLDocumentParser.h',
            'xml/parser/XMLDocumentParserScope.cpp',
            'xml/parser/XMLDocumentParserScope.h',
            'xml/parser/XMLErrors.cpp',
            'xml/parser/XMLErrors.h',
            'xml/parser/XMLParserInput.h',
            'xmlhttprequest/XMLHttpRequest.cpp',
            'xmlhttprequest/XMLHttpRequest.h',
            'xmlhttprequest/XMLHttpRequestEventTarget.h',
            'xmlhttprequest/XMLHttpRequestProgressEvent.h',
            'xmlhttprequest/XMLHttpRequestProgressEventThrottle.cpp',
            'xmlhttprequest/XMLHttpRequestProgressEventThrottle.h',
            'xmlhttprequest/XMLHttpRequestUpload.cpp',
            'xmlhttprequest/XMLHttpRequestUpload.h',
        ],
        'webcore_dom_files': [
            'dom/AXObjectCache.cpp',
            'dom/AXObjectCache.h',
            'dom/ActiveDOMObject.cpp',
            'dom/AddConsoleMessageTask.cpp',
            'dom/AddConsoleMessageTask.h',
            'dom/Attr.cpp',
            'dom/AttributeCollection.h',
            'dom/CDATASection.cpp',
            'dom/CDATASection.h',
            'dom/CSSSelectorWatch.cpp',
            'dom/CharacterData.cpp',
            'dom/ChildFrameDisconnector.cpp',
            'dom/ChildFrameDisconnector.h',
            'dom/ChildListMutationScope.cpp',
            'dom/ChildListMutationScope.h',
            'dom/ChildNodeList.cpp',
            'dom/ChildNodeList.h',
            'dom/ClassCollection.cpp',
            'dom/ClassCollection.h',
            'dom/ClientRect.cpp',
            'dom/ClientRect.h',
            'dom/ClientRectList.cpp',
            'dom/ClientRectList.h',
            'dom/Comment.cpp',
            'dom/Comment.h',
            'dom/CompositorProxy.cpp',
            'dom/CompositorProxy.h',
            'dom/ContainerNode.cpp',
            'dom/ContextFeatures.cpp',
            'dom/ContextFeatures.h',
            'dom/ContextLifecycleNotifier.cpp',
            'dom/ContextLifecycleNotifier.h',
            'dom/ContextLifecycleObserver.h',
            'dom/CrossThreadTask.h',
            'dom/DOMArrayBuffer.cpp',
            'dom/DOMArrayBuffer.h',
            'dom/DOMArrayBufferBase.h',
            'dom/DOMArrayBufferView.h',
            'dom/DOMArrayPiece.cpp',
            'dom/DOMArrayPiece.h',
            'dom/DOMDataView.cpp',
            'dom/DOMDataView.h',
            'dom/DOMError.cpp',
            'dom/DOMError.h',
            'dom/DOMException.cpp',
            'dom/DOMException.h',
            'dom/DOMImplementation.cpp',
            'dom/DOMMatrix.cpp',
            'dom/DOMMatrix.h',
            'dom/DOMMatrixReadOnly.cpp',
            'dom/DOMMatrixReadOnly.h',
            'dom/DOMNodeIds.cpp',
            'dom/DOMNodeIds.h',
            'dom/DOMPoint.cpp',
            'dom/DOMPoint.h',
            'dom/DOMPointReadOnly.cpp',
            'dom/DOMPointReadOnly.h',
            'dom/DOMRect.cpp',
            'dom/DOMRect.h',
            'dom/DOMRectReadOnly.cpp',
            'dom/DOMRectReadOnly.h',
            'dom/DOMSettableTokenList.cpp',
            'dom/DOMSettableTokenList.h',
            'dom/DOMSharedArrayBuffer.cpp',
            'dom/DOMSharedArrayBuffer.h',
            'dom/DOMStringList.cpp',
            'dom/DOMStringList.h',
            'dom/DOMStringMap.cpp',
            'dom/DOMStringMap.h',
            'dom/DOMTokenList.cpp',
            'dom/DOMTokenList.h',
            'dom/DOMTypedArray.cpp',
            'dom/DOMTypedArray.h',
            'dom/DOMURL.cpp',
            'dom/DOMURL.h',
            'dom/DOMURLUtils.cpp',
            'dom/DOMURLUtils.h',
            'dom/DOMURLUtilsReadOnly.cpp',
            'dom/DOMURLUtilsReadOnly.h',
            'dom/DatasetDOMStringMap.cpp',
            'dom/DatasetDOMStringMap.h',
            'dom/DecodedDataDocumentParser.cpp',
            'dom/DecodedDataDocumentParser.h',
            'dom/Document.cpp',
            'dom/DocumentEncodingData.cpp',
            'dom/DocumentEncodingData.h',
            'dom/DocumentFragment.cpp',
            'dom/DocumentFullscreen.cpp',
            'dom/DocumentFullscreen.h',
            'dom/DocumentInit.cpp',
            'dom/DocumentInit.h',
            'dom/DocumentLifecycle.cpp',
            'dom/DocumentLifecycle.h',
            'dom/DocumentLifecycleNotifier.cpp',
            'dom/DocumentLifecycleNotifier.h',
            'dom/DocumentLifecycleObserver.h',
            'dom/DocumentOrderedList.cpp',
            'dom/DocumentOrderedList.h',
            'dom/DocumentOrderedMap.cpp',
            'dom/DocumentParser.cpp',
            'dom/DocumentStatisticsCollector.cpp',
            'dom/DocumentStatisticsCollector.h',
            'dom/DocumentStyleSheetCollection.cpp',
            'dom/DocumentStyleSheetCollection.h',
            'dom/DocumentStyleSheetCollector.cpp',
            'dom/DocumentStyleSheetCollector.h',
            'dom/DocumentTiming.cpp',
            'dom/DocumentTiming.h',
            'dom/DocumentType.cpp',
            'dom/DocumentVisibilityObserver.cpp',
            'dom/Element.cpp',
            'dom/Element.h',
            'dom/ElementData.cpp',
            'dom/ElementData.h',
            'dom/ElementDataCache.cpp',
            'dom/ElementDataCache.h',
            'dom/ElementFullscreen.cpp',
            'dom/ElementFullscreen.h',
            'dom/ElementRareData.cpp',
            'dom/ElementRareData.h',
            'dom/ElementTraversal.h',
            'dom/EmptyNodeList.cpp',
            'dom/EmptyNodeList.h',
            'dom/ExecutionContext.cpp',
            'dom/ExecutionContext.h',
            'dom/ExecutionContextTask.h',
            'dom/FirstLetterPseudoElement.cpp',
            'dom/FirstLetterPseudoElement.h',
            'dom/FlexibleArrayBufferView.h',
            'dom/FrameRequestCallback.h',
            'dom/FrameRequestCallbackCollection.cpp',
            'dom/FrameRequestCallbackCollection.h',
            'dom/Fullscreen.cpp',
            'dom/Fullscreen.h',
            'dom/GlobalEventHandlers.h',
            'dom/IconURL.cpp',
            'dom/IconURL.h',
            'dom/IdleDeadline.cpp',
            'dom/IdleDeadline.h',
            'dom/IdleRequestCallback.h',
            'dom/IdTargetObserver.cpp',
            'dom/IdTargetObserver.h',
            'dom/IdTargetObserverRegistry.cpp',
            'dom/IdTargetObserverRegistry.h',
            'dom/IgnoreDestructiveWriteCountIncrementer.h',
            'dom/IncrementLoadEventDelayCount.cpp',
            'dom/IncrementLoadEventDelayCount.h',
            'dom/IntersectionObservation.cpp',
            'dom/IntersectionObservation.h',
            'dom/IntersectionObserver.cpp',
            'dom/IntersectionObserver.h',
            'dom/IntersectionObserverEntry.cpp',
            'dom/IntersectionObserverEntry.h',
            'dom/IntersectionObserverController.cpp',
            'dom/IntersectionObserverController.h',
            'dom/Iterator.h',
            'dom/LayoutTreeBuilder.cpp',
            'dom/LayoutTreeBuilder.h',
            'dom/LayoutTreeBuilderTraversal.cpp',
            'dom/LayoutTreeBuilderTraversal.h',
            'dom/LiveNodeList.cpp',
            'dom/LiveNodeList.h',
            'dom/LiveNodeListBase.cpp',
            'dom/LiveNodeListBase.h',
            'dom/MainThreadTaskRunner.cpp',
            'dom/MainThreadTaskRunner.h',
            'dom/MessageChannel.cpp',
            'dom/MessageChannel.h',
            'dom/MessagePort.cpp',
            'dom/Microtask.cpp',
            'dom/Microtask.h',
            'dom/MutationCallback.h',
            'dom/MutationObserver.cpp',
            'dom/MutationObserver.h',
            'dom/MutationObserverInterestGroup.cpp',
            'dom/MutationObserverInterestGroup.h',
            'dom/MutationObserverRegistration.cpp',
            'dom/MutationObserverRegistration.h',
            'dom/MutationRecord.cpp',
            'dom/MutationRecord.h',
            'dom/NameNodeList.cpp',
            'dom/NameNodeList.h',
            'dom/NamedNodeMap.cpp',
            'dom/Node.cpp',
            'dom/NodeChildRemovalTracker.cpp',
            'dom/NodeChildRemovalTracker.h',
            'dom/NodeComputedStyle.h',
            'dom/NodeFilter.cpp',
            'dom/NodeFilter.h',
            'dom/NodeFilterCondition.h',
            'dom/NodeIntersectionObserverData.cpp',
            'dom/NodeIntersectionObserverData.h',
            'dom/NodeIterator.cpp',
            'dom/NodeIterator.h',
            'dom/NodeIteratorBase.cpp',
            'dom/NodeIteratorBase.h',
            'dom/NodeList.cpp',
            'dom/NodeListsNodeData.cpp',
            'dom/NodeListsNodeData.h',
            'dom/NodeRareData.cpp',
            'dom/NodeRareData.h',
            'dom/NodeTraversal.cpp',
            'dom/NodeTraversal.h',
            'dom/NodeWithIndex.h',
            'dom/NonDocumentTypeChildNode.h',
            'dom/NonElementParentNode.h',
            'dom/NthIndexCache.cpp',
            'dom/NthIndexCache.h',
            'dom/ParentNode.h',
            'dom/PendingScript.cpp',
            'dom/PresentationAttributeStyle.cpp',
            'dom/PresentationAttributeStyle.h',
            'dom/ProcessingInstruction.cpp',
            'dom/ProcessingInstruction.h',
            'dom/CompositorProxiedPropertySet.cpp',
            'dom/CompositorProxiedPropertySet.h',
            'dom/PseudoElement.cpp',
            'dom/QualifiedName.cpp',
            'dom/Range.cpp',
            'dom/RawDataDocumentParser.h',
            'dom/RemoteSecurityContext.cpp',
            'dom/RemoteSecurityContext.h',
            'dom/SandboxFlags.cpp',
            'dom/SandboxFlags.h',
            'dom/ScopedWindowFocusAllowedIndicator.h',
            'dom/ScriptLoader.cpp',
            'dom/ScriptLoader.h',
            'dom/ScriptRunner.cpp',
            'dom/ScriptRunner.h',
            'dom/ScriptableDocumentParser.cpp',
            'dom/ScriptableDocumentParser.h',
            'dom/ScriptedAnimationController.cpp',
            'dom/ScriptedAnimationController.h',
            'dom/ScriptedIdleTaskController.cpp',
            'dom/ScriptedIdleTaskController.h',
            'dom/SecurityContext.cpp',
            'dom/SecurityContext.h',
            'dom/SelectorQuery.cpp',
            'dom/SelectorQuery.h',
            'dom/ShadowTreeStyleSheetCollection.cpp',
            'dom/ShadowTreeStyleSheetCollection.h',
            'dom/SimulatedClickOptions.h',
            'dom/SpaceSplitString.cpp',
            'dom/StaticNodeList.h',
            'dom/StringCallback.cpp',
            'dom/StringCallback.h',
            'dom/StyleChangeReason.cpp',
            'dom/StyleChangeReason.h',
            'dom/StyleElement.cpp',
            'dom/StyleElement.h',
            'dom/StyleEngine.cpp',
            'dom/StyleEngine.h',
            'dom/StyleSheetCandidate.cpp',
            'dom/StyleSheetCandidate.h',
            'dom/StyleSheetCollection.cpp',
            'dom/StyleSheetCollection.h',
            'dom/TagCollection.cpp',
            'dom/TagCollection.h',
            'dom/Text.cpp',
            'dom/TextLinkColors.cpp',
            'dom/TextLinkColors.h',
            'dom/Touch.cpp',
            'dom/Touch.h',
            'dom/TouchList.cpp',
            'dom/TouchList.h',
            'dom/TransformSource.h',
            'dom/TransformSourceLibxslt.cpp',
            'dom/TreeScope.cpp',
            'dom/TreeScope.h',
            'dom/TreeScopeAdopter.cpp',
            'dom/TreeScopeAdopter.h',
            'dom/TreeScopeStyleSheetCollection.cpp',
            'dom/TreeScopeStyleSheetCollection.h',
            'dom/TreeShared.h',
            'dom/TreeWalker.cpp',
            'dom/TreeWalker.h',
            'dom/URLSearchParams.cpp',
            'dom/URLSearchParams.h',
            'dom/UserActionElementSet.cpp',
            'dom/UserActionElementSet.h',
            'dom/ViewportDescription.cpp',
            'dom/ViewportDescription.h',
            'dom/VisitedLinkState.cpp',
            'dom/VisitedLinkState.h',
            'dom/WeakIdentifierMap.h',
            'dom/XMLDocument.cpp',
            'dom/XMLDocument.h',
            'dom/custom/CustomElement.cpp',
            'dom/custom/CustomElement.h',
            'dom/custom/CustomElementAsyncImportMicrotaskQueue.cpp',
            'dom/custom/CustomElementAsyncImportMicrotaskQueue.h',
            'dom/custom/CustomElementCallbackInvocation.cpp',
            'dom/custom/CustomElementCallbackInvocation.h',
            'dom/custom/CustomElementCallbackQueue.cpp',
            'dom/custom/CustomElementCallbackQueue.h',
            'dom/custom/CustomElementDefinition.cpp',
            'dom/custom/CustomElementDefinition.h',
            'dom/custom/CustomElementDescriptor.h',
            'dom/custom/CustomElementDescriptorHash.h',
            'dom/custom/CustomElementException.cpp',
            'dom/custom/CustomElementException.h',
            'dom/custom/CustomElementLifecycleCallbacks.h',
            'dom/custom/CustomElementMicrotaskDispatcher.cpp',
            'dom/custom/CustomElementMicrotaskDispatcher.h',
            'dom/custom/CustomElementMicrotaskImportStep.cpp',
            'dom/custom/CustomElementMicrotaskImportStep.h',
            'dom/custom/CustomElementMicrotaskQueueBase.cpp',
            'dom/custom/CustomElementMicrotaskQueueBase.h',
            'dom/custom/CustomElementMicrotaskResolutionStep.cpp',
            'dom/custom/CustomElementMicrotaskResolutionStep.h',
            'dom/custom/CustomElementMicrotaskRunQueue.cpp',
            'dom/custom/CustomElementMicrotaskRunQueue.h',
            'dom/custom/CustomElementMicrotaskStep.h',
            'dom/custom/CustomElementObserver.cpp',
            'dom/custom/CustomElementObserver.h',
            'dom/custom/CustomElementProcessingStack.cpp',
            'dom/custom/CustomElementProcessingStack.h',
            'dom/custom/CustomElementProcessingStep.h',
            'dom/custom/CustomElementRegistrationContext.cpp',
            'dom/custom/CustomElementRegistrationContext.h',
            'dom/custom/CustomElementRegistry.cpp',
            'dom/custom/CustomElementRegistry.h',
            'dom/custom/CustomElementScheduler.cpp',
            'dom/custom/CustomElementScheduler.h',
            'dom/custom/CustomElementSyncMicrotaskQueue.cpp',
            'dom/custom/CustomElementSyncMicrotaskQueue.h',
            'dom/custom/CustomElementUpgradeCandidateMap.cpp',
            'dom/custom/CustomElementUpgradeCandidateMap.h',
            'dom/shadow/ComposedTreeTraversal.cpp',
            'dom/shadow/ComposedTreeTraversal.h',
            'dom/shadow/DistributedNodes.cpp',
            'dom/shadow/DistributedNodes.h',
            'dom/shadow/ElementShadow.cpp',
            'dom/shadow/ElementShadow.h',
            'dom/shadow/InsertionPoint.cpp',
            'dom/shadow/InsertionPoint.h',
            'dom/shadow/SelectRuleFeatureSet.cpp',
            'dom/shadow/SelectRuleFeatureSet.h',
            'dom/shadow/ShadowRoot.cpp',
            'dom/shadow/ShadowRoot.h',
            'dom/shadow/ShadowRootRareData.h',
            'dom/shadow/SlotAssignment.cpp',
            'dom/shadow/SlotAssignment.h',
            'events/AnimationEvent.cpp',
            'events/AnimationEvent.h',
            'events/AnimationPlayerEvent.cpp',
            'events/AnimationPlayerEvent.h',
            'events/ApplicationCacheErrorEvent.cpp',
            'events/ApplicationCacheErrorEvent.h',
            'events/AutocompleteErrorEvent.h',
            'events/BeforeTextInsertedEvent.cpp',
            'events/BeforeTextInsertedEvent.h',
            'events/BeforeUnloadEvent.cpp',
            'events/BeforeUnloadEvent.h',
            'events/ClipboardEvent.cpp',
            'events/ClipboardEvent.h',
            'events/CompositionEvent.cpp',
            'events/CompositionEvent.h',
            'events/CustomEvent.cpp',
            'events/CustomEvent.h',
            'events/DOMWindowEventQueue.cpp',
            'events/DOMWindowEventQueue.h',
            'events/DragEvent.cpp',
            'events/DragEvent.h',
            'events/ErrorEvent.cpp',
            'events/ErrorEvent.h',
            'events/Event.cpp',
            'events/EventDispatchMediator.cpp',
            'events/EventDispatchMediator.h',
            'events/EventDispatcher.cpp',
            'events/EventDispatcher.h',
            'events/EventListenerMap.cpp',
            'events/EventPath.cpp',
            'events/EventPath.h',
            'events/EventQueue.h',
            'events/EventSender.h',
            'events/EventTarget.cpp',
            'events/FocusEvent.cpp',
            'events/FocusEvent.h',
            'events/GenericEventQueue.cpp',
            'events/GenericEventQueue.h',
            'events/GestureEvent.cpp',
            'events/GestureEvent.h',
            'events/HashChangeEvent.h',
            'events/KeyboardEvent.cpp',
            'events/MessageEvent.cpp',
            'events/MessageEvent.h',
            'events/MouseEvent.cpp',
            'events/MouseRelatedEvent.cpp',
            'events/MutationEvent.cpp',
            'events/MutationEvent.h',
            'events/NavigatorEvents.cpp',
            'events/NavigatorEvents.h',
            'events/NodeEventContext.cpp',
            'events/NodeEventContext.h',
            'events/PageTransitionEvent.cpp',
            'events/PageTransitionEvent.h',
            'events/PointerEvent.cpp',
            'events/PointerEvent.h',
            'events/PointerEventFactory.cpp',
            'events/PointerEventFactory.h',
            'events/PopStateEvent.cpp',
            'events/PopStateEvent.h',
            'events/ProgressEvent.cpp',
            'events/ProgressEvent.h',
            'events/PromiseRejectionEvent.cpp',
            'events/PromiseRejectionEvent.h',
            'events/RelatedEvent.cpp',
            'events/RelatedEvent.h',
            'events/ResourceProgressEvent.cpp',
            'events/ResourceProgressEvent.h',
            'events/ScopedEventQueue.cpp',
            'events/ScopedEventQueue.h',
            'events/SecurityPolicyViolationEvent.h',
            'events/TextEvent.cpp',
            'events/TextEvent.h',
            'events/TouchEvent.cpp',
            'events/TouchEvent.h',
            'events/TouchEventContext.cpp',
            'events/TouchEventContext.h',
            'events/TransitionEvent.cpp',
            'events/TransitionEvent.h',
            'events/TreeScopeEventContext.cpp',
            'events/TreeScopeEventContext.h',
            'events/UIEvent.cpp',
            'events/UIEventWithKeyState.cpp',
            'events/WheelEvent.cpp',
            'events/WheelEvent.h',
            'events/WindowEventContext.cpp',
            'events/WindowEventContext.h',
            'input/EventHandler.cpp',
            'input/EventHandler.h',
            'input/InputDeviceCapabilities.cpp',
            'input/InputDeviceCapabilities.h',
            'input/TouchActionUtil.cpp',
            'input/TouchActionUtil.h',
        ],
        'webcore_html_files': [
            'html/AutoplayExperimentHelper.cpp',
            'html/AutoplayExperimentHelper.h',
            'html/ClassList.cpp',
            'html/ClassList.h',
            'html/CrossOriginAttribute.cpp',
            'html/CrossOriginAttribute.h',
            'html/DocumentNameCollection.cpp',
            'html/DocumentNameCollection.h',
            'html/FormAssociatedElement.cpp',
            'html/FormData.cpp',
            'html/FormData.h',
            'html/HTMLAllCollection.cpp',
            'html/HTMLAllCollection.h',
            'html/HTMLAnchorElement.cpp',
            'html/HTMLAnchorElement.h',
            'html/HTMLAreaElement.cpp',
            'html/HTMLAreaElement.h',
            'html/HTMLAudioElement.cpp',
            'html/HTMLAudioElement.h',
            'html/HTMLBDIElement.h',
            'html/HTMLBRElement.cpp',
            'html/HTMLBRElement.h',
            'html/HTMLBaseElement.cpp',
            'html/HTMLBaseElement.h',
            'html/HTMLBodyElement.cpp',
            'html/HTMLBodyElement.h',
            'html/HTMLButtonElement.cpp',
            'html/HTMLButtonElement.h',
            'html/HTMLCanvasElement.cpp',
            'html/HTMLCanvasElement.h',
            'html/HTMLCollection.cpp',
            'html/HTMLContentElement.cpp',
            'html/HTMLContentElement.h',
            'html/HTMLDListElement.cpp',
            'html/HTMLDListElement.h',
            'html/HTMLDataListElement.cpp',
            'html/HTMLDataListElement.h',
            'html/HTMLDetailsElement.cpp',
            'html/HTMLDetailsElement.h',
            'html/HTMLDialogElement.cpp',
            'html/HTMLDialogElement.h',
            'html/HTMLDimension.cpp',
            'html/HTMLDimension.h',
            'html/HTMLDirectoryElement.cpp',
            'html/HTMLDirectoryElement.h',
            'html/HTMLDivElement.cpp',
            'html/HTMLDivElement.h',
            'html/HTMLDocument.cpp',
            'html/HTMLElement.cpp',
            'html/HTMLEmbedElement.cpp',
            'html/HTMLEmbedElement.h',
            'html/HTMLFieldSetElement.cpp',
            'html/HTMLFieldSetElement.h',
            'html/HTMLFontElement.cpp',
            'html/HTMLFontElement.h',
            'html/HTMLFormControlElement.cpp',
            'html/HTMLFormControlElementWithState.cpp',
            'html/HTMLFormControlsCollection.cpp',
            'html/HTMLFormControlsCollection.h',
            'html/HTMLFormElement.cpp',
            'html/HTMLFrameElement.cpp',
            'html/HTMLFrameElementBase.cpp',
            'html/HTMLFrameOwnerElement.cpp',
            'html/HTMLFrameSetElement.cpp',
            'html/HTMLFrameSetElement.h',
            'html/HTMLHRElement.cpp',
            'html/HTMLHRElement.h',
            'html/HTMLHeadElement.cpp',
            'html/HTMLHeadingElement.cpp',
            'html/HTMLHeadingElement.h',
            'html/HTMLHtmlElement.cpp',
            'html/HTMLHtmlElement.h',
            'html/HTMLIFrameElement.cpp',
            'html/HTMLIFrameElementSandbox.cpp',
            'html/HTMLIFrameElementSandbox.h',
            'html/HTMLImageElement.cpp',
            'html/HTMLImageElement.h',
            'html/HTMLImageFallbackHelper.h',
            'html/HTMLImageFallbackHelper.cpp',
            'html/HTMLImageLoader.cpp',
            'html/HTMLImageLoader.h',
            'html/HTMLInputElement.cpp',
            'html/HTMLKeygenElement.cpp',
            'html/HTMLKeygenElement.h',
            'html/HTMLLIElement.cpp',
            'html/HTMLLIElement.h',
            'html/HTMLLabelElement.cpp',
            'html/HTMLLabelElement.h',
            'html/HTMLLegendElement.cpp',
            'html/HTMLLegendElement.h',
            'html/HTMLLinkElement.cpp',
            'html/HTMLLinkElement.h',
            'html/HTMLMapElement.cpp',
            'html/HTMLMapElement.h',
            'html/HTMLMarqueeElement.cpp',
            'html/HTMLMarqueeElement.h',
            'html/HTMLMediaElement.cpp',
            'html/HTMLMediaSource.cpp',
            'html/HTMLMediaSource.h',
            'html/HTMLMenuElement.cpp',
            'html/HTMLMenuElement.h',
            'html/HTMLMenuItemElement.cpp',
            'html/HTMLMenuItemElement.h',
            'html/HTMLMetaElement.h',
            'html/HTMLMeterElement.cpp',
            'html/HTMLMeterElement.h',
            'html/HTMLModElement.cpp',
            'html/HTMLModElement.h',
            'html/HTMLNameCollection.cpp',
            'html/HTMLNameCollection.h',
            'html/HTMLNoEmbedElement.cpp',
            'html/HTMLNoEmbedElement.h',
            'html/HTMLNoScriptElement.cpp',
            'html/HTMLNoScriptElement.h',
            'html/HTMLOListElement.cpp',
            'html/HTMLOListElement.h',
            'html/HTMLObjectElement.cpp',
            'html/HTMLObjectElement.h',
            'html/HTMLOptGroupElement.cpp',
            'html/HTMLOptGroupElement.h',
            'html/HTMLOptionElement.cpp',
            'html/HTMLOptionElement.h',
            'html/HTMLOptionsCollection.cpp',
            'html/HTMLOptionsCollection.h',
            'html/HTMLOutputElement.cpp',
            'html/HTMLOutputElement.h',
            'html/HTMLParagraphElement.cpp',
            'html/HTMLParagraphElement.h',
            'html/HTMLParamElement.cpp',
            'html/HTMLParamElement.h',
            'html/HTMLPictureElement.cpp',
            'html/HTMLPlugInElement.cpp',
            'html/HTMLPlugInElement.h',
            'html/HTMLPreElement.cpp',
            'html/HTMLPreElement.h',
            'html/HTMLProgressElement.cpp',
            'html/HTMLProgressElement.h',
            'html/HTMLQuoteElement.cpp',
            'html/HTMLQuoteElement.h',
            'html/HTMLRTElement.cpp',
            'html/HTMLRTElement.h',
            'html/HTMLRubyElement.cpp',
            'html/HTMLRubyElement.h',
            'html/HTMLScriptElement.cpp',
            'html/HTMLScriptElement.h',
            'html/HTMLSelectElement.cpp',
            'html/HTMLSelectElement.h',
            'html/HTMLShadowElement.cpp',
            'html/HTMLShadowElement.h',
            'html/HTMLSlotElement.cpp',
            'html/HTMLSlotElement.h',
            'html/HTMLSourceElement.cpp',
            'html/HTMLSourceElement.h',
            'html/HTMLSpanElement.cpp',
            'html/HTMLSpanElement.h',
            'html/HTMLStyleElement.cpp',
            'html/HTMLStyleElement.h',
            'html/HTMLSummaryElement.cpp',
            'html/HTMLSummaryElement.h',
            'html/HTMLTableCaptionElement.cpp',
            'html/HTMLTableCaptionElement.h',
            'html/HTMLTableCellElement.cpp',
            'html/HTMLTableColElement.cpp',
            'html/HTMLTableColElement.h',
            'html/HTMLTableElement.cpp',
            'html/HTMLTableElement.h',
            'html/HTMLTablePartElement.cpp',
            'html/HTMLTableRowElement.cpp',
            'html/HTMLTableRowElement.h',
            'html/HTMLTableRowsCollection.cpp',
            'html/HTMLTableRowsCollection.h',
            'html/HTMLTableSectionElement.cpp',
            'html/HTMLTableSectionElement.h',
            'html/HTMLTagCollection.cpp',
            'html/HTMLTagCollection.h',
            'html/HTMLTemplateElement.cpp',
            'html/HTMLTemplateElement.h',
            'html/HTMLTextAreaElement.cpp',
            'html/HTMLTextFormControlElement.cpp',
            'html/HTMLTitleElement.cpp',
            'html/HTMLTitleElement.h',
            'html/HTMLTrackElement.cpp',
            'html/HTMLTrackElement.h',
            'html/HTMLUListElement.cpp',
            'html/HTMLUListElement.h',
            'html/HTMLUnknownElement.cpp',
            'html/HTMLUnknownElement.h',
            'html/HTMLVideoElement.cpp',
            'html/HTMLVideoElement.h',
            'html/HTMLViewSourceDocument.cpp',
            'html/HTMLViewSourceDocument.h',
            'html/HTMLWBRElement.cpp',
            'html/HTMLWBRElement.h',
            'html/ImageData.cpp',
            'html/ImageData.h',
            'html/ImageDocument.cpp',
            'html/ImageDocument.h',
            'html/LabelableElement.cpp',
            'html/LabelsNodeList.cpp',
            'html/LabelsNodeList.h',
            'html/LinkManifest.cpp',
            'html/LinkManifest.h',
            'html/LinkRelAttribute.cpp',
            'html/LinkRelAttribute.h',
            'html/LinkResource.cpp',
            'html/LinkResource.h',
            'html/MediaDocument.cpp',
            'html/MediaDocument.h',
            'html/MediaError.h',
            'html/MediaFragmentURIParser.cpp',
            'html/MediaFragmentURIParser.h',
            'html/MediaKeyError.h',
            'html/MediaKeyEvent.cpp',
            'html/MediaKeyEvent.h',
            'html/PluginDocument.cpp',
            'html/PluginDocument.h',
            'html/PublicURLManager.cpp',
            'html/PublicURLManager.h',
            'html/RadioNodeList.cpp',
            'html/RadioNodeList.h',
            'html/RelList.cpp',
            'html/RelList.h',
            'html/TextDocument.cpp',
            'html/TextDocument.h',
            'html/TextMetrics.h',
            'html/TimeRanges.cpp',
            'html/TimeRanges.h',
            'html/URLRegistry.h',
            'html/ValidityState.cpp',
            'html/ValidityState.h',
            'html/WindowNameCollection.cpp',
            'html/WindowNameCollection.h',
            'html/canvas/CanvasAsyncBlobCreator.cpp',
            'html/canvas/CanvasAsyncBlobCreator.h',
            'html/canvas/CanvasDrawListener.cpp',
            'html/canvas/CanvasDrawListener.h',
            'html/canvas/CanvasFontCache.cpp',
            'html/canvas/CanvasFontCache.h',
            'html/canvas/CanvasImageSource.h',
            'html/canvas/CanvasRenderingContext.cpp',
            'html/canvas/CanvasRenderingContext.h',
            'html/canvas/CanvasRenderingContextFactory.h',
            'html/canvas/OffScreenCanvas.cpp',
            'html/canvas/OffScreenCanvas.h',
            'html/forms/BaseButtonInputType.cpp',
            'html/forms/BaseButtonInputType.h',
            'html/forms/BaseCheckableInputType.cpp',
            'html/forms/BaseCheckableInputType.h',
            'html/forms/BaseChooserOnlyDateAndTimeInputType.cpp',
            'html/forms/BaseChooserOnlyDateAndTimeInputType.h',
            'html/forms/BaseClickableWithKeyInputType.cpp',
            'html/forms/BaseClickableWithKeyInputType.h',
            'html/forms/BaseDateAndTimeInputType.cpp',
            'html/forms/BaseDateAndTimeInputType.h',
            'html/forms/BaseMultipleFieldsDateAndTimeInputType.cpp',
            'html/forms/BaseMultipleFieldsDateAndTimeInputType.h',
            'html/forms/BaseTextInputType.cpp',
            'html/forms/BaseTextInputType.h',
            'html/forms/ButtonInputType.cpp',
            'html/forms/ButtonInputType.h',
            'html/forms/CheckboxInputType.cpp',
            'html/forms/CheckboxInputType.h',
            'html/forms/ColorChooser.cpp',
            'html/forms/ColorChooser.h',
            'html/forms/ColorChooserClient.cpp',
            'html/forms/ColorChooserClient.h',
            'html/forms/ColorInputType.cpp',
            'html/forms/ColorInputType.h',
            'html/forms/DateInputType.cpp',
            'html/forms/DateInputType.h',
            'html/forms/DateTimeChooser.cpp',
            'html/forms/DateTimeChooser.h',
            'html/forms/DateTimeChooserClient.cpp',
            'html/forms/DateTimeChooserClient.h',
            'html/forms/DateTimeFieldsState.cpp',
            'html/forms/DateTimeFieldsState.h',
            'html/forms/DateTimeLocalInputType.cpp',
            'html/forms/DateTimeLocalInputType.h',
            'html/forms/EmailInputType.cpp',
            'html/forms/EmailInputType.h',
            'html/forms/FileInputType.cpp',
            'html/forms/FileInputType.h',
            'html/forms/FormController.cpp',
            'html/forms/FormController.h',
            'html/forms/HiddenInputType.cpp',
            'html/forms/HiddenInputType.h',
            'html/forms/ImageInputType.cpp',
            'html/forms/ImageInputType.h',
            'html/forms/InputType.cpp',
            'html/forms/InputType.h',
            'html/forms/InputTypeView.cpp',
            'html/forms/InputTypeView.h',
            'html/forms/MonthInputType.cpp',
            'html/forms/MonthInputType.h',
            'html/forms/NumberInputType.cpp',
            'html/forms/NumberInputType.h',
            'html/forms/PasswordInputType.cpp',
            'html/forms/PasswordInputType.h',
            'html/forms/RadioButtonGroupScope.cpp',
            'html/forms/RadioButtonGroupScope.h',
            'html/forms/RadioInputType.cpp',
            'html/forms/RadioInputType.h',
            'html/forms/RangeInputType.cpp',
            'html/forms/RangeInputType.h',
            'html/forms/ResetInputType.cpp',
            'html/forms/ResetInputType.h',
            'html/forms/SearchInputType.cpp',
            'html/forms/SearchInputType.h',
            'html/forms/StepRange.cpp',
            'html/forms/StepRange.h',
            'html/forms/SubmitInputType.cpp',
            'html/forms/SubmitInputType.h',
            'html/forms/TelephoneInputType.cpp',
            'html/forms/TelephoneInputType.h',
            'html/forms/TextFieldInputType.cpp',
            'html/forms/TextFieldInputType.h',
            'html/forms/TextInputType.cpp',
            'html/forms/TextInputType.h',
            'html/forms/TimeInputType.cpp',
            'html/forms/TimeInputType.h',
            'html/forms/TypeAhead.cpp',
            'html/forms/TypeAhead.h',
            'html/forms/URLInputType.cpp',
            'html/forms/URLInputType.h',
            'html/forms/WeekInputType.cpp',
            'html/forms/WeekInputType.h',
            'html/imports/HTMLImport.cpp',
            'html/imports/HTMLImport.h',
            'html/imports/HTMLImportChild.cpp',
            'html/imports/HTMLImportChild.h',
            'html/imports/HTMLImportChildClient.h',
            'html/imports/HTMLImportLoader.cpp',
            'html/imports/HTMLImportLoader.h',
            'html/imports/HTMLImportState.h',
            'html/imports/HTMLImportStateResolver.cpp',
            'html/imports/HTMLImportStateResolver.h',
            'html/imports/HTMLImportTreeRoot.cpp',
            'html/imports/HTMLImportTreeRoot.h',
            'html/imports/HTMLImportsController.cpp',
            'html/imports/HTMLImportsController.h',
            'html/imports/LinkImport.cpp',
            'html/imports/LinkImport.h',
            'html/parser/AtomicHTMLToken.cpp',
            'html/parser/AtomicHTMLToken.h',
            'html/parser/BackgroundHTMLInputStream.cpp',
            'html/parser/BackgroundHTMLInputStream.h',
            'html/parser/BackgroundHTMLParser.cpp',
            'html/parser/BackgroundHTMLParser.h',
            'html/parser/CSSPreloadScanner.cpp',
            'html/parser/CSSPreloadScanner.h',
            'html/parser/CompactHTMLToken.cpp',
            'html/parser/CompactHTMLToken.h',
            'html/parser/HTMLConstructionSite.cpp',
            'html/parser/HTMLConstructionSite.h',
            'html/parser/HTMLDocumentParser.cpp',
            'html/parser/HTMLDocumentParser.h',
            'html/parser/HTMLElementStack.cpp',
            'html/parser/HTMLElementStack.h',
            'html/parser/HTMLEntityParser.cpp',
            'html/parser/HTMLEntityParser.h',
            'html/parser/HTMLEntitySearch.cpp',
            'html/parser/HTMLEntitySearch.h',
            'html/parser/HTMLEntityTable.h',
            'html/parser/HTMLFormattingElementList.cpp',
            'html/parser/HTMLFormattingElementList.h',
            'html/parser/HTMLInputStream.h',
            'html/parser/HTMLMetaCharsetParser.cpp',
            'html/parser/HTMLMetaCharsetParser.h',
            'html/parser/HTMLParserIdioms.cpp',
            'html/parser/HTMLParserOptions.cpp',
            'html/parser/HTMLParserOptions.h',
            'html/parser/HTMLParserScheduler.cpp',
            'html/parser/HTMLParserScheduler.h',
            'html/parser/HTMLParserThread.cpp',
            'html/parser/HTMLParserThread.h',
            'html/parser/HTMLPreloadScanner.cpp',
            'html/parser/HTMLPreloadScanner.h',
            'html/parser/HTMLResourcePreloader.cpp',
            'html/parser/HTMLResourcePreloader.h',
            'html/parser/HTMLScriptRunner.cpp',
            'html/parser/HTMLScriptRunner.h',
            'html/parser/HTMLScriptRunnerHost.h',
            'html/parser/HTMLSourceTracker.cpp',
            'html/parser/HTMLSourceTracker.h',
            'html/parser/HTMLSrcsetParser.cpp',
            'html/parser/HTMLSrcsetParser.h',
            'html/parser/HTMLStackItem.h',
            'html/parser/HTMLToken.h',
            'html/parser/HTMLTokenizer.cpp',
            'html/parser/HTMLTokenizer.h',
            'html/parser/HTMLTreeBuilder.cpp',
            'html/parser/HTMLTreeBuilder.h',
            'html/parser/HTMLTreeBuilderSimulator.cpp',
            'html/parser/HTMLTreeBuilderSimulator.h',
            'html/parser/HTMLViewSourceParser.cpp',
            'html/parser/HTMLViewSourceParser.h',
            'html/parser/InputStreamPreprocessor.h',
            'html/parser/NestingLevelIncrementer.h',
            'html/parser/ParsedChunkQueue.cpp',
            'html/parser/ParsedChunkQueue.h',
            'html/parser/PreloadRequest.cpp',
            'html/parser/ResourcePreloader.cpp',
            'html/parser/TextDocumentParser.cpp',
            'html/parser/TextDocumentParser.h',
            'html/parser/TextResourceDecoder.cpp',
            'html/parser/TextResourceDecoder.h',
            'html/parser/XSSAuditor.cpp',
            'html/parser/XSSAuditor.h',
            'html/parser/XSSAuditorDelegate.cpp',
            'html/parser/XSSAuditorDelegate.h',
            'html/shadow/ClearButtonElement.cpp',
            'html/shadow/ClearButtonElement.h',
            'html/shadow/DateTimeEditElement.cpp',
            'html/shadow/DateTimeEditElement.h',
            'html/shadow/DateTimeFieldElement.cpp',
            'html/shadow/DateTimeFieldElement.h',
            'html/shadow/DateTimeFieldElements.cpp',
            'html/shadow/DateTimeFieldElements.h',
            'html/shadow/DateTimeNumericFieldElement.cpp',
            'html/shadow/DateTimeNumericFieldElement.h',
            'html/shadow/DateTimeSymbolicFieldElement.cpp',
            'html/shadow/DateTimeSymbolicFieldElement.h',
            'html/shadow/DetailsMarkerControl.cpp',
            'html/shadow/DetailsMarkerControl.h',
            'html/shadow/MediaControlElementTypes.cpp',
            'html/shadow/MediaControlElementTypes.h',
            'html/shadow/MediaControlElements.cpp',
            'html/shadow/MediaControlElements.h',
            'html/shadow/MediaControls.cpp',
            'html/shadow/MediaControls.h',
            'html/shadow/MeterShadowElement.cpp',
            'html/shadow/MeterShadowElement.h',
            'html/shadow/PickerIndicatorElement.cpp',
            'html/shadow/PickerIndicatorElement.h',
            'html/shadow/ProgressShadowElement.cpp',
            'html/shadow/ProgressShadowElement.h',
            'html/shadow/ShadowElementNames.cpp',
            'html/shadow/ShadowElementNames.h',
            'html/shadow/SliderThumbElement.cpp',
            'html/shadow/SliderThumbElement.h',
            'html/shadow/SpinButtonElement.cpp',
            'html/shadow/SpinButtonElement.h',
            'html/shadow/TextControlInnerElements.cpp',
            'html/shadow/TextControlInnerElements.h',
            'html/track/AudioTrack.cpp',
            'html/track/AudioTrack.h',
            'html/track/AudioTrackList.cpp',
            'html/track/AudioTrackList.h',
            'html/track/AutomaticTrackSelection.cpp',
            'html/track/AutomaticTrackSelection.h',
            'html/track/CueTimeline.cpp',
            'html/track/CueTimeline.h',
            'html/track/InbandTextTrack.cpp',
            'html/track/InbandTextTrack.h',
            'html/track/LoadableTextTrack.cpp',
            'html/track/LoadableTextTrack.h',
            'html/track/TextTrack.cpp',
            'html/track/TextTrack.h',
            'html/track/TextTrackContainer.cpp',
            'html/track/TextTrackContainer.h',
            'html/track/TextTrackCue.cpp',
            'html/track/TextTrackCue.h',
            'html/track/TextTrackCueList.cpp',
            'html/track/TextTrackCueList.h',
            'html/track/TextTrackList.cpp',
            'html/track/TrackBase.cpp',
            'html/track/TrackBase.h',
            'html/track/TrackEvent.cpp',
            'html/track/TrackListBase.h',
            'html/track/VideoTrack.cpp',
            'html/track/VideoTrack.h',
            'html/track/VideoTrackList.cpp',
            'html/track/VideoTrackList.h',
            'html/track/vtt/BufferedLineReader.cpp',
            'html/track/vtt/BufferedLineReader.h',
            'html/track/vtt/VTTCue.cpp',
            'html/track/vtt/VTTCue.h',
            'html/track/vtt/VTTElement.cpp',
            'html/track/vtt/VTTElement.h',
            'html/track/vtt/VTTParser.cpp',
            'html/track/vtt/VTTParser.h',
            'html/track/vtt/VTTRegion.cpp',
            'html/track/vtt/VTTRegion.h',
            'html/track/vtt/VTTRegionList.cpp',
            'html/track/vtt/VTTRegionList.h',
            'html/track/vtt/VTTScanner.cpp',
            'html/track/vtt/VTTScanner.h',
            'html/track/vtt/VTTToken.h',
            'html/track/vtt/VTTTokenizer.cpp',
            'html/track/vtt/VTTTokenizer.h',
        ],
        'webcore_svg_files': [
            'style/SVGComputedStyle.cpp',
            'style/SVGComputedStyleDefs.cpp',
            'layout/svg/ReferenceFilterBuilder.cpp',
            'layout/svg/ReferenceFilterBuilder.h',
            'layout/svg/LayoutSVGBlock.cpp',
            'layout/svg/LayoutSVGBlock.h',
            'layout/svg/LayoutSVGContainer.cpp',
            'layout/svg/LayoutSVGContainer.h',
            'layout/svg/LayoutSVGEllipse.cpp',
            'layout/svg/LayoutSVGEllipse.h',
            'layout/svg/LayoutSVGForeignObject.cpp',
            'layout/svg/LayoutSVGForeignObject.h',
            'layout/svg/LayoutSVGGradientStop.cpp',
            'layout/svg/LayoutSVGGradientStop.h',
            'layout/svg/LayoutSVGHiddenContainer.cpp',
            'layout/svg/LayoutSVGHiddenContainer.h',
            'layout/svg/LayoutSVGImage.cpp',
            'layout/svg/LayoutSVGImage.h',
            'layout/svg/LayoutSVGInline.cpp',
            'layout/svg/LayoutSVGInline.h',
            'layout/svg/LayoutSVGInlineText.cpp',
            'layout/svg/LayoutSVGInlineText.h',
            'layout/svg/LayoutSVGModelObject.cpp',
            'layout/svg/LayoutSVGModelObject.h',
            'layout/svg/LayoutSVGPath.cpp',
            'layout/svg/LayoutSVGPath.h',
            'layout/svg/LayoutSVGRect.cpp',
            'layout/svg/LayoutSVGRect.h',
            'layout/svg/LayoutSVGResourceClipper.cpp',
            'layout/svg/LayoutSVGResourceClipper.h',
            'layout/svg/LayoutSVGResourceContainer.cpp',
            'layout/svg/LayoutSVGResourceContainer.h',
            'layout/svg/LayoutSVGResourceFilter.cpp',
            'layout/svg/LayoutSVGResourceFilter.h',
            'layout/svg/LayoutSVGResourceFilterPrimitive.cpp',
            'layout/svg/LayoutSVGResourceFilterPrimitive.h',
            'layout/svg/LayoutSVGResourceGradient.cpp',
            'layout/svg/LayoutSVGResourceGradient.h',
            'layout/svg/LayoutSVGResourceLinearGradient.cpp',
            'layout/svg/LayoutSVGResourceLinearGradient.h',
            'layout/svg/LayoutSVGResourceMarker.cpp',
            'layout/svg/LayoutSVGResourceMarker.h',
            'layout/svg/LayoutSVGResourceMasker.cpp',
            'layout/svg/LayoutSVGResourceMasker.h',
            'layout/svg/LayoutSVGResourcePaintServer.cpp',
            'layout/svg/LayoutSVGResourcePaintServer.h',
            'layout/svg/LayoutSVGResourcePattern.cpp',
            'layout/svg/LayoutSVGResourcePattern.h',
            'layout/svg/LayoutSVGResourceRadialGradient.cpp',
            'layout/svg/LayoutSVGResourceRadialGradient.h',
            'layout/svg/LayoutSVGRoot.cpp',
            'layout/svg/LayoutSVGRoot.h',
            'layout/svg/LayoutSVGShape.cpp',
            'layout/svg/LayoutSVGShape.h',
            'layout/svg/LayoutSVGText.cpp',
            'layout/svg/LayoutSVGText.h',
            'layout/svg/LayoutSVGTextPath.cpp',
            'layout/svg/LayoutSVGTextPath.h',
            'layout/svg/LayoutSVGTransformableContainer.cpp',
            'layout/svg/LayoutSVGTransformableContainer.h',
            'layout/svg/LayoutSVGTSpan.cpp',
            'layout/svg/LayoutSVGTSpan.h',
            'layout/svg/LayoutSVGViewportContainer.cpp',
            'layout/svg/LayoutSVGViewportContainer.h',
            'layout/svg/SVGLayoutSupport.cpp',
            'layout/svg/SVGLayoutSupport.h',
            'layout/svg/SVGLayoutTreeAsText.cpp',
            'layout/svg/SVGLayoutTreeAsText.h',
            'layout/svg/SVGMarkerData.h',
            'layout/svg/SVGResources.cpp',
            'layout/svg/SVGResources.h',
            'layout/svg/SVGResourcesCache.cpp',
            'layout/svg/SVGResourcesCycleSolver.cpp',
            'layout/svg/SVGResourcesCycleSolver.h',
            'layout/svg/SVGTextChunkBuilder.cpp',
            'layout/svg/SVGTextChunkBuilder.h',
            'layout/svg/SVGTextFragment.h',
            'layout/svg/SVGTextLayoutAttributes.cpp',
            'layout/svg/SVGTextLayoutAttributes.h',
            'layout/svg/SVGTextLayoutAttributesBuilder.cpp',
            'layout/svg/SVGTextLayoutAttributesBuilder.h',
            'layout/svg/SVGTextLayoutEngine.cpp',
            'layout/svg/SVGTextLayoutEngine.h',
            'layout/svg/SVGTextLayoutEngineBaseline.cpp',
            'layout/svg/SVGTextLayoutEngineBaseline.h',
            'layout/svg/SVGTextLayoutEngineSpacing.cpp',
            'layout/svg/SVGTextLayoutEngineSpacing.h',
            'layout/svg/SVGTextMetrics.cpp',
            'layout/svg/SVGTextMetrics.h',
            'layout/svg/SVGTextMetricsBuilder.cpp',
            'layout/svg/SVGTextMetricsBuilder.h',
            'layout/svg/SVGTextQuery.cpp',
            'layout/svg/SVGTextQuery.h',
            'svg/ColorDistance.cpp',
            'svg/ColorDistance.h',
            'svg/GradientAttributes.h',
            'svg/LinearGradientAttributes.h',
            'svg/PatternAttributes.h',
            'svg/RadialGradientAttributes.h',
            'svg/SVGAElement.cpp',
            'svg/SVGAElement.h',
            'svg/SVGAngle.cpp',
            'svg/SVGAngleTearOff.cpp',
            'svg/SVGAnimateElement.cpp',
            'svg/SVGAnimateElement.h',
            'svg/SVGAnimateMotionElement.cpp',
            'svg/SVGAnimateMotionElement.h',
            'svg/SVGAnimateTransformElement.cpp',
            'svg/SVGAnimateTransformElement.h',
            'svg/SVGAnimatedAngle.cpp',
            'svg/SVGAnimatedColor.cpp',
            'svg/SVGAnimatedEnumerationBase.cpp',
            'svg/SVGAnimatedInteger.cpp',
            'svg/SVGAnimatedIntegerOptionalInteger.cpp',
            'svg/SVGAnimatedLength.cpp',
            'svg/SVGAnimatedNumber.cpp',
            'svg/SVGAnimatedNumberOptionalNumber.cpp',
            'svg/SVGAnimatedPath.cpp',
            'svg/SVGAnimatedString.cpp',
            'svg/SVGAnimatedString.h',
            'svg/SVGAnimatedTypeAnimator.cpp',
            'svg/SVGAnimatedTypeAnimator.h',
            'svg/SVGAnimationElement.cpp',
            'svg/SVGAnimationElement.h',
            'svg/SVGBoolean.cpp',
            'svg/SVGBoolean.h',
            'svg/SVGCircleElement.cpp',
            'svg/SVGCircleElement.h',
            'svg/SVGClipPathElement.cpp',
            'svg/SVGClipPathElement.h',
            'svg/SVGComponentTransferFunctionElement.cpp',
            'svg/SVGComponentTransferFunctionElement.h',
            'svg/SVGCursorElement.cpp',
            'svg/SVGCursorElement.h',
            'svg/SVGDefsElement.cpp',
            'svg/SVGDefsElement.h',
            'svg/SVGDescElement.cpp',
            'svg/SVGDescElement.h',
            'svg/SVGDiscardElement.cpp',
            'svg/SVGDiscardElement.h',
            'svg/SVGDocumentExtensions.cpp',
            'svg/SVGElement.cpp',
            'svg/SVGElementRareData.cpp',
            'svg/SVGElementRareData.h',
            'svg/SVGEllipseElement.cpp',
            'svg/SVGEllipseElement.h',
            'svg/SVGEnumeration.cpp',
            'svg/SVGFEBlendElement.cpp',
            'svg/SVGFEBlendElement.h',
            'svg/SVGFEColorMatrixElement.cpp',
            'svg/SVGFEColorMatrixElement.h',
            'svg/SVGFEComponentTransferElement.cpp',
            'svg/SVGFEComponentTransferElement.h',
            'svg/SVGFECompositeElement.cpp',
            'svg/SVGFECompositeElement.h',
            'svg/SVGFEConvolveMatrixElement.cpp',
            'svg/SVGFEConvolveMatrixElement.h',
            'svg/SVGFEDiffuseLightingElement.cpp',
            'svg/SVGFEDiffuseLightingElement.h',
            'svg/SVGFEDisplacementMapElement.cpp',
            'svg/SVGFEDisplacementMapElement.h',
            'svg/SVGFEDistantLightElement.cpp',
            'svg/SVGFEDistantLightElement.h',
            'svg/SVGFEDropShadowElement.cpp',
            'svg/SVGFEDropShadowElement.h',
            'svg/SVGFEFloodElement.cpp',
            'svg/SVGFEFloodElement.h',
            'svg/SVGFEFuncAElement.cpp',
            'svg/SVGFEFuncAElement.h',
            'svg/SVGFEFuncBElement.cpp',
            'svg/SVGFEFuncBElement.h',
            'svg/SVGFEFuncGElement.cpp',
            'svg/SVGFEFuncGElement.h',
            'svg/SVGFEFuncRElement.cpp',
            'svg/SVGFEFuncRElement.h',
            'svg/SVGFEGaussianBlurElement.cpp',
            'svg/SVGFEGaussianBlurElement.h',
            'svg/SVGFEImageElement.cpp',
            'svg/SVGFEImageElement.h',
            'svg/SVGFELightElement.cpp',
            'svg/SVGFELightElement.h',
            'svg/SVGFEMergeElement.cpp',
            'svg/SVGFEMergeElement.h',
            'svg/SVGFEMergeNodeElement.cpp',
            'svg/SVGFEMergeNodeElement.h',
            'svg/SVGFEMorphologyElement.cpp',
            'svg/SVGFEMorphologyElement.h',
            'svg/SVGFEOffsetElement.cpp',
            'svg/SVGFEOffsetElement.h',
            'svg/SVGFEPointLightElement.cpp',
            'svg/SVGFEPointLightElement.h',
            'svg/SVGFESpecularLightingElement.cpp',
            'svg/SVGFESpecularLightingElement.h',
            'svg/SVGFESpotLightElement.cpp',
            'svg/SVGFESpotLightElement.h',
            'svg/SVGFETileElement.cpp',
            'svg/SVGFETileElement.h',
            'svg/SVGFETurbulenceElement.cpp',
            'svg/SVGFETurbulenceElement.h',
            'svg/SVGFilterElement.cpp',
            'svg/SVGFilterElement.h',
            'svg/SVGFilterPrimitiveStandardAttributes.cpp',
            'svg/SVGFilterPrimitiveStandardAttributes.h',
            'svg/SVGFitToViewBox.cpp',
            'svg/SVGFitToViewBox.h',
            'svg/SVGForeignObjectElement.cpp',
            'svg/SVGForeignObjectElement.h',
            'svg/SVGGElement.cpp',
            'svg/SVGGElement.h',
            'svg/SVGGeometryElement.cpp',
            'svg/SVGGeometryElement.h',
            'svg/SVGGradientElement.cpp',
            'svg/SVGGradientElement.h',
            'svg/SVGGraphicsElement.cpp',
            'svg/SVGGraphicsElement.h',
            'svg/SVGImageElement.cpp',
            'svg/SVGImageElement.h',
            'svg/SVGImageLoader.cpp',
            'svg/SVGImageLoader.h',
            'svg/SVGInteger.cpp',
            'svg/SVGInteger.h',
            'svg/SVGIntegerOptionalInteger.cpp',
            'svg/SVGIntegerOptionalInteger.h',
            'svg/SVGLength.cpp',
            'svg/SVGLengthContext.cpp',
            'svg/SVGLengthList.cpp',
            'svg/SVGLengthTearOff.cpp',
            'svg/SVGLineElement.cpp',
            'svg/SVGLineElement.h',
            'svg/SVGLinearGradientElement.cpp',
            'svg/SVGLinearGradientElement.h',
            'svg/SVGMPathElement.cpp',
            'svg/SVGMPathElement.h',
            'svg/SVGMarkerElement.cpp',
            'svg/SVGMarkerElement.h',
            'svg/SVGMaskElement.cpp',
            'svg/SVGMaskElement.h',
            'svg/SVGMatrixTearOff.cpp',
            'svg/SVGMatrixTearOff.h',
            'svg/SVGMetadataElement.cpp',
            'svg/SVGMetadataElement.h',
            'svg/SVGNumber.cpp',
            'svg/SVGNumber.h',
            'svg/SVGNumberList.cpp',
            'svg/SVGNumberList.h',
            'svg/SVGNumberOptionalNumber.cpp',
            'svg/SVGNumberOptionalNumber.h',
            'svg/SVGNumberTearOff.cpp',
            'svg/SVGNumberTearOff.h',
            'svg/SVGParserUtilities.cpp',
            'svg/SVGParserUtilities.h',
            'svg/SVGParsingError.h',
            'svg/SVGPath.cpp',
            'svg/SVGPath.h',
            'svg/SVGPathBlender.cpp',
            'svg/SVGPathBlender.h',
            'svg/SVGPathBuilder.cpp',
            'svg/SVGPathBuilder.h',
            'svg/SVGPathByteStream.h',
            'svg/SVGPathByteStreamBuilder.cpp',
            'svg/SVGPathByteStreamBuilder.h',
            'svg/SVGPathByteStreamSource.cpp',
            'svg/SVGPathByteStreamSource.h',
            'svg/SVGPathConsumer.h',
            'svg/SVGPathData.h',
            'svg/SVGPathElement.cpp',
            'svg/SVGPathElement.h',
            'svg/SVGPathParser.cpp',
            'svg/SVGPathParser.h',
            'svg/SVGPathQuery.cpp',
            'svg/SVGPathQuery.h',
            'svg/SVGPathSource.h',
            'svg/SVGPathStringBuilder.cpp',
            'svg/SVGPathStringBuilder.h',
            'svg/SVGPathStringSource.cpp',
            'svg/SVGPathStringSource.h',
            'svg/SVGPathUtilities.cpp',
            'svg/SVGPathUtilities.h',
            'svg/SVGPatternElement.cpp',
            'svg/SVGPatternElement.h',
            'svg/SVGPoint.cpp',
            'svg/SVGPoint.h',
            'svg/SVGPointList.cpp',
            'svg/SVGPointList.h',
            'svg/SVGPointTearOff.cpp',
            'svg/SVGPointTearOff.h',
            'svg/SVGPolyElement.cpp',
            'svg/SVGPolyElement.h',
            'svg/SVGPolygonElement.cpp',
            'svg/SVGPolygonElement.h',
            'svg/SVGPolylineElement.cpp',
            'svg/SVGPolylineElement.h',
            'svg/SVGPreserveAspectRatio.cpp',
            'svg/SVGPreserveAspectRatioTearOff.cpp',
            'svg/SVGRadialGradientElement.cpp',
            'svg/SVGRadialGradientElement.h',
            'svg/SVGRect.cpp',
            'svg/SVGRect.h',
            'svg/SVGRectElement.cpp',
            'svg/SVGRectElement.h',
            'svg/SVGRectTearOff.cpp',
            'svg/SVGRectTearOff.h',
            'svg/SVGSVGElement.cpp',
            'svg/SVGSVGElement.h',
            'svg/SVGScriptElement.cpp',
            'svg/SVGScriptElement.h',
            'svg/SVGSetElement.cpp',
            'svg/SVGSetElement.h',
            'svg/SVGStaticStringList.cpp',
            'svg/SVGStaticStringList.h',
            'svg/SVGStopElement.cpp',
            'svg/SVGStopElement.h',
            'svg/SVGString.cpp',
            'svg/SVGString.h',
            'svg/SVGStringList.cpp',
            'svg/SVGStringList.h',
            'svg/SVGStringListTearOff.cpp',
            'svg/SVGStringListTearOff.h',
            'svg/SVGStyleElement.cpp',
            'svg/SVGStyleElement.h',
            'svg/SVGSwitchElement.cpp',
            'svg/SVGSwitchElement.h',
            'svg/SVGSymbolElement.cpp',
            'svg/SVGSymbolElement.h',
            'svg/SVGTSpanElement.cpp',
            'svg/SVGTSpanElement.h',
            'svg/SVGTests.cpp',
            'svg/SVGTests.h',
            'svg/SVGTextContentElement.cpp',
            'svg/SVGTextContentElement.h',
            'svg/SVGTextElement.cpp',
            'svg/SVGTextElement.h',
            'svg/SVGTextPathElement.cpp',
            'svg/SVGTextPathElement.h',
            'svg/SVGTextPositioningElement.cpp',
            'svg/SVGTextPositioningElement.h',
            'svg/SVGTitleElement.cpp',
            'svg/SVGTitleElement.h',
            'svg/SVGTransform.cpp',
            'svg/SVGTransformDistance.cpp',
            'svg/SVGTransformDistance.h',
            'svg/SVGTransformList.cpp',
            'svg/SVGTransformListTearOff.cpp',
            'svg/SVGTransformTearOff.cpp',
            'svg/SVGURIReference.cpp',
            'svg/SVGURIReference.h',
            'svg/SVGUnitTypes.cpp',
            'svg/SVGUnitTypes.h',
            'svg/SVGUnknownElement.cpp',
            'svg/SVGUnknownElement.h',
            'svg/SVGUseElement.cpp',
            'svg/SVGUseElement.h',
            'svg/SVGViewElement.cpp',
            'svg/SVGViewElement.h',
            'svg/SVGViewSpec.cpp',
            'svg/SVGViewSpec.h',
            'svg/SVGZoomAndPan.cpp',
            'svg/SVGZoomAndPan.h',
            'svg/SVGZoomEvent.cpp',
            'svg/SVGZoomEvent.h',
            'svg/animation/SMILTime.cpp',
            'svg/animation/SMILTimeContainer.cpp',
            'svg/animation/SMILTimeContainer.h',
            'svg/animation/SVGSMILElement.cpp',
            'svg/graphics/SVGImage.cpp',
            'svg/graphics/SVGImage.h',
            'svg/graphics/SVGImageChromeClient.cpp',
            'svg/graphics/SVGImageChromeClient.h',
            'svg/graphics/SVGImageForContainer.cpp',
            'svg/graphics/SVGImageForContainer.h',
            'svg/graphics/filters/SVGFEImage.cpp',
            'svg/graphics/filters/SVGFEImage.h',
            'svg/graphics/filters/SVGFilterBuilder.cpp',
            'svg/graphics/filters/SVGFilterBuilder.h',
            'svg/properties/SVGAnimatedProperty.cpp',
            'svg/properties/SVGPropertyTearOff.cpp',
        ],
        'core_dictionary_idl_files': [
            'animation/KeyframeEffectOptions.idl',
            'animation/ComputedTimingProperties.idl',
            'css/FontFaceDescriptors.idl',
            'css/FontFaceSetLoadEventInit.idl',
            'css/MediaQueryListEventInit.idl',
            'dom/DOMPointInit.idl',
            'dom/ElementRegistrationOptions.idl',
            'dom/IdleRequestOptions.idl',
            'dom/IntersectionObserverInit.idl',
            'dom/MutationObserverInit.idl',
            'dom/shadow/ShadowRootInit.idl',
            'dom/TouchInit.idl',
            'events/AnimationEventInit.idl',
            'events/AnimationPlayerEventInit.idl',
            'events/ApplicationCacheErrorEventInit.idl',
            'events/AutocompleteErrorEventInit.idl',
            'events/CompositionEventInit.idl',
            'events/CustomEventInit.idl',
            'events/DragEventInit.idl',
            'events/ErrorEventInit.idl',
            'events/EventInit.idl',
            'events/EventListenerOptions.idl',
            'events/EventModifierInit.idl',
            'events/FocusEventInit.idl',
            'events/HashChangeEventInit.idl',
            'events/KeyboardEventInit.idl',
            'events/MessageEventInit.idl',
            'events/MouseEventInit.idl',
            'events/PageTransitionEventInit.idl',
            'events/PointerEventInit.idl',
            'events/PopStateEventInit.idl',
            'events/ProgressEventInit.idl',
            'events/PromiseRejectionEventInit.idl',
            'events/RelatedEventInit.idl',
            'events/SecurityPolicyViolationEventInit.idl',
            'events/TouchEventInit.idl',
            'events/TransitionEventInit.idl',
            'events/UIEventInit.idl',
            'events/WheelEventInit.idl',
            'fileapi/BlobPropertyBag.idl',
            'fileapi/FilePropertyBag.idl',
            'frame/ScrollOptions.idl',
            'frame/ScrollToOptions.idl',
            'html/MediaKeyEventInit.idl',
            'html/canvas/CanvasContextCreationAttributes.idl',
            'html/track/TrackEventInit.idl',
            'input/InputDeviceCapabilitiesInit.idl',
            'page/EventSourceInit.idl',
            'timing/PerformanceObserverInit.idl',
        ],
        'generated_core_dictionary_files': [
            '<(blink_core_output_dir)/animation/KeyframeEffectOptions.cpp',
            '<(blink_core_output_dir)/animation/KeyframeEffectOptions.h',
            '<(blink_core_output_dir)/animation/ComputedTimingProperties.cpp',
            '<(blink_core_output_dir)/animation/ComputedTimingProperties.h',
            '<(blink_core_output_dir)/css/FontFaceDescriptors.cpp',
            '<(blink_core_output_dir)/css/FontFaceDescriptors.h',
            '<(blink_core_output_dir)/css/FontFaceSetLoadEventInit.cpp',
            '<(blink_core_output_dir)/css/FontFaceSetLoadEventInit.h',
            '<(blink_core_output_dir)/css/MediaQueryListEventInit.cpp',
            '<(blink_core_output_dir)/css/MediaQueryListEventInit.h',
            '<(blink_core_output_dir)/dom/DOMPointInit.cpp',
            '<(blink_core_output_dir)/dom/DOMPointInit.h',
            '<(blink_core_output_dir)/dom/ElementRegistrationOptions.cpp',
            '<(blink_core_output_dir)/dom/ElementRegistrationOptions.h',
            '<(blink_core_output_dir)/dom/IdleRequestOptions.cpp',
            '<(blink_core_output_dir)/dom/IdleRequestOptions.h',
            '<(blink_core_output_dir)/dom/IntersectionObserverInit.cpp',
            '<(blink_core_output_dir)/dom/IntersectionObserverInit.h',
            '<(blink_core_output_dir)/dom/MutationObserverInit.cpp',
            '<(blink_core_output_dir)/dom/MutationObserverInit.h',
            '<(blink_core_output_dir)/dom/shadow/ShadowRootInit.cpp',
            '<(blink_core_output_dir)/dom/shadow/ShadowRootInit.h',
            '<(blink_core_output_dir)/dom/TouchInit.cpp',
            '<(blink_core_output_dir)/dom/TouchInit.h',
            '<(blink_core_output_dir)/events/AnimationEventInit.cpp',
            '<(blink_core_output_dir)/events/AnimationEventInit.h',
            '<(blink_core_output_dir)/events/AnimationPlayerEventInit.cpp',
            '<(blink_core_output_dir)/events/AnimationPlayerEventInit.h',
            '<(blink_core_output_dir)/events/ApplicationCacheErrorEventInit.cpp',
            '<(blink_core_output_dir)/events/ApplicationCacheErrorEventInit.h',
            '<(blink_core_output_dir)/events/AutocompleteErrorEventInit.cpp',
            '<(blink_core_output_dir)/events/AutocompleteErrorEventInit.h',
            '<(blink_core_output_dir)/events/CompositionEventInit.cpp',
            '<(blink_core_output_dir)/events/CompositionEventInit.h',
            '<(blink_core_output_dir)/events/CustomEventInit.cpp',
            '<(blink_core_output_dir)/events/CustomEventInit.h',
            '<(blink_core_output_dir)/events/DragEventInit.cpp',
            '<(blink_core_output_dir)/events/DragEventInit.h',
            '<(blink_core_output_dir)/events/ErrorEventInit.cpp',
            '<(blink_core_output_dir)/events/ErrorEventInit.h',
            '<(blink_core_output_dir)/events/EventInit.cpp',
            '<(blink_core_output_dir)/events/EventInit.h',
            '<(blink_core_output_dir)/events/EventListenerOptions.cpp',
            '<(blink_core_output_dir)/events/EventListenerOptions.h',
            '<(blink_core_output_dir)/events/EventModifierInit.cpp',
            '<(blink_core_output_dir)/events/EventModifierInit.h',
            '<(blink_core_output_dir)/events/FocusEventInit.cpp',
            '<(blink_core_output_dir)/events/FocusEventInit.h',
            '<(blink_core_output_dir)/events/HashChangeEventInit.cpp',
            '<(blink_core_output_dir)/events/HashChangeEventInit.h',
            '<(blink_core_output_dir)/events/KeyboardEventInit.cpp',
            '<(blink_core_output_dir)/events/KeyboardEventInit.h',
            '<(blink_core_output_dir)/events/MessageEventInit.cpp',
            '<(blink_core_output_dir)/events/MessageEventInit.h',
            '<(blink_core_output_dir)/events/MouseEventInit.cpp',
            '<(blink_core_output_dir)/events/MouseEventInit.h',
            '<(blink_core_output_dir)/events/PageTransitionEventInit.cpp',
            '<(blink_core_output_dir)/events/PageTransitionEventInit.h',
            '<(blink_core_output_dir)/events/PointerEventInit.cpp',
            '<(blink_core_output_dir)/events/PointerEventInit.h',
            '<(blink_core_output_dir)/events/PopStateEventInit.cpp',
            '<(blink_core_output_dir)/events/PopStateEventInit.h',
            '<(blink_core_output_dir)/events/ProgressEventInit.cpp',
            '<(blink_core_output_dir)/events/ProgressEventInit.h',
            '<(blink_core_output_dir)/events/PromiseRejectionEventInit.cpp',
            '<(blink_core_output_dir)/events/PromiseRejectionEventInit.h',
            '<(blink_core_output_dir)/events/RelatedEventInit.cpp',
            '<(blink_core_output_dir)/events/RelatedEventInit.h',
            '<(blink_core_output_dir)/events/SecurityPolicyViolationEventInit.cpp',
            '<(blink_core_output_dir)/events/SecurityPolicyViolationEventInit.h',
            '<(blink_core_output_dir)/events/TouchEventInit.cpp',
            '<(blink_core_output_dir)/events/TouchEventInit.h',
            '<(blink_core_output_dir)/events/TransitionEventInit.cpp',
            '<(blink_core_output_dir)/events/TransitionEventInit.h',
            '<(blink_core_output_dir)/events/UIEventInit.cpp',
            '<(blink_core_output_dir)/events/UIEventInit.h',
            '<(blink_core_output_dir)/events/WheelEventInit.cpp',
            '<(blink_core_output_dir)/events/WheelEventInit.h',
            '<(blink_core_output_dir)/fileapi/BlobPropertyBag.cpp',
            '<(blink_core_output_dir)/fileapi/BlobPropertyBag.h',
            '<(blink_core_output_dir)/fileapi/FilePropertyBag.cpp',
            '<(blink_core_output_dir)/fileapi/FilePropertyBag.h',
            '<(blink_core_output_dir)/frame/ScrollOptions.cpp',
            '<(blink_core_output_dir)/frame/ScrollOptions.h',
            '<(blink_core_output_dir)/frame/ScrollToOptions.cpp',
            '<(blink_core_output_dir)/frame/ScrollToOptions.h',
            '<(blink_core_output_dir)/html/MediaKeyEventInit.cpp',
            '<(blink_core_output_dir)/html/MediaKeyEventInit.h',
            '<(blink_core_output_dir)/html/canvas/CanvasContextCreationAttributes.cpp',
            '<(blink_core_output_dir)/html/canvas/CanvasContextCreationAttributes.h',
            '<(blink_core_output_dir)/html/track/TrackEventInit.cpp',
            '<(blink_core_output_dir)/html/track/TrackEventInit.h',
            '<(blink_core_output_dir)/input/InputDeviceCapabilitiesInit.cpp',
            '<(blink_core_output_dir)/input/InputDeviceCapabilitiesInit.h',
            '<(blink_core_output_dir)/page/EventSourceInit.cpp',
            '<(blink_core_output_dir)/page/EventSourceInit.h',
            '<(blink_core_output_dir)/timing/PerformanceObserverInit.cpp',
            '<(blink_core_output_dir)/timing/PerformanceObserverInit.h',
        ],
        'core_testing_dictionary_idl_files': [
            'testing/InternalDictionary.idl',
            'testing/InternalDictionaryDerived.idl',
        ],
        'webcore_testing_idl_files': [
            'testing/DictionaryTest.idl',
            'testing/GCObservation.idl',
            'testing/GarbageCollectedScriptWrappable.idl',
            'testing/InternalSettings.idl',
            'testing/LayerRect.idl',
            'testing/LayerRectList.idl',
            'testing/PrivateScriptTest.idl',
            'testing/RefCountedScriptWrappable.idl',
            'testing/TypeConversions.idl',
            'testing/UnionTypesTest.idl',
        ],
        # testing IDL files that have partial interfaces in modules.
        'webcore_testing_idl_with_modules_dependency_files': [
            'testing/Internals.idl',
        ],
        'webcore_testing_dependency_idl_files': [
            'experiments/testing/InternalsFrobulate.idl',
            'testing/PartialPrivateScriptTest.idl',
        ],
        'generated_webcore_testing_idl_files': [
            '<(blink_core_output_dir)/testing/InternalRuntimeFlags.idl',
            '<(blink_core_output_dir)/testing/InternalSettingsGenerated.idl',
        ],
        'generated_core_testing_dictionary_files': [
            '<(blink_core_output_dir)/testing/InternalDictionary.cpp',
            '<(blink_core_output_dir)/testing/InternalDictionary.h',
            '<(blink_core_output_dir)/testing/InternalDictionaryDerived.cpp',
            '<(blink_core_output_dir)/testing/InternalDictionaryDerived.h',
        ],
        'webcore_testing_files': [
            '<(blink_core_output_dir)/testing/InternalSettingsGenerated.cpp',
            '<(blink_core_output_dir)/testing/InternalSettingsGenerated.h',
            'experiments/testing/InternalsFrobulate.cpp',
            'experiments/testing/InternalsFrobulate.h',
            'testing/CoreTestPrinters.cpp',
            'testing/DictionaryTest.cpp',
            'testing/DictionaryTest.h',
            'testing/DummyPageHolder.cpp',
            'testing/DummyPageHolder.h',
            'testing/GCObservation.cpp',
            'testing/GCObservation.h',
            'testing/GarbageCollectedScriptWrappable.cpp',
            'testing/GarbageCollectedScriptWrappable.h',
            'testing/InternalSettings.cpp',
            'testing/InternalSettings.h',
            'testing/Internals.cpp',
            'testing/Internals.h',
            'testing/LayerRect.h',
            'testing/LayerRectList.cpp',
            'testing/LayerRectList.h',
            'testing/NullExecutionContext.cpp',
            'testing/NullExecutionContext.h',
            'testing/PrivateScriptTest.cpp',
            'testing/PrivateScriptTest.h',
            'testing/RefCountedScriptWrappable.cpp',
            'testing/RefCountedScriptWrappable.h',
            'testing/TypeConversions.h',
            'testing/UnionTypesTest.cpp',
            'testing/UnionTypesTest.h',
            'testing/v8/WebCoreTestSupport.cpp',
            'testing/v8/WebCoreTestSupport.h',
        ],
        'core_unittest_files': [
            'animation/AnimationClockTest.cpp',
            'animation/AnimationInputHelpersTest.cpp',
            'animation/AnimationEffectTest.cpp',
            'animation/AnimationTest.cpp',
            'animation/AnimationStackTest.cpp',
            'animation/KeyframeEffectTest.cpp',
            'animation/AnimationTestHelper.cpp',
            'animation/AnimationTestHelper.h',
            'animation/AnimationTimelineTest.cpp',
            'animation/AnimationTranslationUtilTest.cpp',
            'animation/CompositorAnimationsTest.cpp',
            'animation/CompositorAnimationsTestHelper.h',
            'animation/DeferredLegacyStyleInterpolationTest.cpp',
            'animation/DoubleStyleInterpolationTest.cpp',
            'animation/EffectInputTest.cpp',
            'animation/FilterStyleInterpolationTest.cpp',
            'animation/InterpolableValueTest.cpp',
            'animation/InterpolationEffectTest.cpp',
            'animation/KeyframeEffectModelTest.cpp',
            'animation/LengthBoxStyleInterpolationTest.cpp',
            'animation/LengthPairStyleInterpolationTest.cpp',
            'animation/LengthStyleInterpolationTest.cpp',
            'animation/ListStyleInterpolationTest.cpp',
            'animation/PropertyHandleTest.cpp',
            'animation/TimingCalculationsTest.cpp',
            'animation/TimingInputTest.cpp',
            'animation/VisibilityStyleInterpolationTest.cpp',
            'animation/animatable/AnimatableColorTest.cpp',
            'animation/animatable/AnimatableDoubleAndBoolTest.cpp',
            'animation/animatable/AnimatableDoubleTest.cpp',
            'animation/animatable/AnimatableLengthTest.cpp',
            'animation/animatable/AnimatableNeutralTest.cpp',
            'animation/animatable/AnimatableStrokeDasharrayListTest.cpp',
            'animation/animatable/AnimatableUnknownTest.cpp',
            'animation/animatable/AnimatableValueTestHelper.cpp',
            'animation/animatable/AnimatableValueTestHelper.h',
            'animation/animatable/AnimatableValueTestHelperTest.cpp',
            'clipboard/DataObjectTest.cpp',
            'css/AffectedByFocusTest.cpp',
            'css/CSSCalculationValueTest.cpp',
            'css/CSSFontFaceTest.cpp',
            'css/CSSSelectorTest.cpp',
            'css/CSSStyleDeclarationTest.cpp',
            'css/CSSStyleSheetResourceTest.cpp',
            'css/CSSTestHelper.cpp',
            'css/CSSTestHelper.h',
            'css/CSSValueTestHelper.h',
            'css/DragUpdateTest.cpp',
            'css/MediaQueryEvaluatorTest.cpp',
            'css/MediaQueryListTest.cpp',
            'css/MediaQueryMatcherTest.cpp',
            'css/MediaQuerySetTest.cpp',
            'css/MediaValuesTest.cpp',
            'css/RuleFeatureSetTest.cpp',
            'css/RuleSetTest.cpp',
            'css/invalidation/InvalidationSetTest.cpp',
            'css/parser/CSSParserValuesTest.cpp',
            'css/parser/CSSPropertyParserTest.cpp',
            'css/parser/CSSSelectorParserTest.cpp',
            'css/parser/CSSTokenizerTest.cpp',
            'css/parser/MediaConditionTest.cpp',
            'css/parser/SizesAttributeParserTest.cpp',
            'css/parser/SizesCalcParserTest.cpp',
            'css/resolver/FontBuilderTest.cpp',
            'css/resolver/MatchResultTest.cpp',
            'dom/ActiveDOMObjectTest.cpp',
            'dom/AttrTest.cpp',
            'dom/CrossThreadTaskTest.cpp',
            'dom/DOMImplementationTest.cpp',
            'dom/DocumentStatisticsCollectorTest.cpp',
            'dom/DocumentTest.cpp',
            'dom/MainThreadTaskRunnerTest.cpp',
            'dom/NodeTest.cpp',
            'dom/NthIndexCacheTest.cpp',
            'dom/RangeTest.cpp',
            'dom/ScriptRunnerTest.cpp',
            'dom/StyleElementTest.cpp',
            'dom/TreeScopeStyleSheetCollectionTest.cpp',
            'dom/TreeScopeTest.cpp',
            'dom/URLSearchParamsTest.cpp',
            'dom/shadow/ComposedTreeTraversalTest.cpp',
            'editing/EditingStrategyTest.cpp',
            'editing/EditingStyleTest.cpp',
            'editing/EditingTestBase.cpp',
            'editing/EditingTestBase.h',
            'editing/EditingUtilitiesTest.cpp',
            'editing/FrameSelectionTest.cpp',
            'editing/GranularityStrategyTest.cpp',
            'editing/InputMethodControllerTest.cpp',
            'editing/iterators/CharacterIteratorTest.cpp',
            'editing/iterators/SearchBufferTest.cpp',
            'editing/iterators/SimplifiedBackwardsTextIteratorTest.cpp',
            'editing/iterators/TextIteratorTest.cpp',
            'editing/markers/DocumentMarkerControllerTest.cpp',
            'editing/PositionTest.cpp',
            'editing/SurroundingTextTest.cpp',
            'editing/VisiblePositionTest.cpp',
            'editing/VisibleSelectionTest.cpp',
            'editing/VisibleUnitsTest.cpp',
            'editing/serializers/StyledMarkupSerializerTest.cpp',
            'editing/spellcheck/SpellCheckerTest.cpp',
            'events/EventPathTest.cpp',
            'events/PointerEventFactoryTest.cpp',
            'experiments/ExperimentsTest.cpp',
            'fetch/CachingCorrectnessTest.cpp',
            'fetch/ClientHintsPreferencesTest.cpp',
            'fetch/FetchUtilsTest.cpp',
            'fetch/ImageResourceTest.cpp',
            'fetch/MemoryCacheTest.cpp',
            'fetch/MockImageResourceClient.cpp',
            'fetch/RawResourceTest.cpp',
            'fetch/ResourceFetcherTest.cpp',
            'fetch/ResourceLoaderOptionsTest.cpp',
            'fetch/ResourceTest.cpp',
            'fileapi/FileListTest.cpp',
            'fileapi/FileTest.cpp',
            'frame/FrameViewTest.cpp',
            'frame/ImageBitmapTest.cpp',
            'frame/OriginsUsingFeaturesTest.cpp',
            'frame/RootFrameViewportTest.cpp',
            'frame/SubresourceIntegrityTest.cpp',
            'frame/UseCounterTest.cpp',
            'frame/csp/CSPSourceListTest.cpp',
            'frame/csp/CSPSourceTest.cpp',
            'frame/csp/ContentSecurityPolicyTest.cpp',
            'html/FormDataTest.cpp',
            'html/HTMLDimensionTest.cpp',
            'html/HTMLFormControlElementTest.cpp',
            'html/HTMLImageElementTest.cpp',
            'html/HTMLInputElementTest.cpp',
            'html/HTMLLinkElementSizesAttributeTest.cpp',
            'html/HTMLOutputElementTest.cpp',
            'html/HTMLSelectElementTest.cpp',
            'html/HTMLTableRowElementTest.cpp',
            'html/HTMLTextFormControlElementTest.cpp',
            'html/HTMLVideoElementTest.cpp',
            'html/LinkRelAttributeTest.cpp',
            'html/TimeRangesTest.cpp',
            'html/canvas/CanvasFontCacheTest.cpp',
            'html/forms/EmailInputTypeTest.cpp',
            'html/forms/FileInputTypeTest.cpp',
            'html/forms/StepRangeTest.cpp',
            'html/parser/AtomicHTMLTokenTest.cpp',
            'html/parser/CompactHTMLTokenTest.cpp',
            'html/parser/HTMLEntityParserTest.cpp',
            'html/parser/HTMLParserThreadTest.cpp',
            'html/parser/HTMLPreloadScannerTest.cpp',
            'html/parser/HTMLResourcePreloaderTest.cpp',
            'html/parser/HTMLSrcsetParserTest.cpp',
            'html/shadow/MediaControlsTest.cpp',
            'html/track/vtt/BufferedLineReaderTest.cpp',
            'html/track/vtt/VTTScannerTest.cpp',
            'input/EventHandlerTest.cpp',
            'layout/ImageQualityControllerTest.cpp',
            'layout/LayoutBlockTest.cpp',
            'layout/LayoutBoxTest.cpp',
            'layout/LayoutInlineTest.cpp',
            'layout/LayoutMultiColumnFlowThreadTest.cpp',
            'layout/LayoutObjectTest.cpp',
            'layout/LayoutPartTest.cpp',
            'layout/LayoutTableCellTest.cpp',
            'layout/LayoutTableRowTest.cpp',
            'layout/LayoutTestHelper.cpp',
            'layout/LayoutTestHelper.h',
            'layout/LayoutThemeTest.cpp',
            'layout/MultiColumnFragmentainerGroupTest.cpp',
            'layout/OverflowModelTest.cpp',
            'layout/PaginationTest.cpp',
            'layout/PaintContainmentTest.cpp',
            'layout/compositing/CompositedLayerMappingTest.cpp',
            'layout/shapes/BoxShapeTest.cpp',
            'loader/DocumentLoadTimingTest.cpp',
            'loader/FrameFetchContextTest.cpp',
            'loader/LinkHeaderTest.cpp',
            'loader/LinkLoaderTest.cpp',
            'loader/MixedContentCheckerTest.cpp',
            'page/ChromeClientTest.cpp',
            'page/ContextMenuControllerTest.cpp',
            'page/NetworkStateNotifierTest.cpp',
            'page/PagePopupClientTest.cpp',
            'page/PrintContextTest.cpp',
            'page/WindowFeaturesTest.cpp',
            'page/scrolling/ScrollStateTest.cpp',
            'paint/LayerClipRecorderTest.cpp',
            'paint/LayoutObjectDrawingRecorderTest.cpp',
            'paint/NinePieceImageGridTest.cpp',
            'paint/PaintControllerPaintTest.cpp',
            'paint/PaintControllerPaintTest.h',
            'paint/PaintInfoTest.cpp',
            'paint/PaintLayerPainterTest.cpp',
            'paint/PaintPropertyTreeBuilderTest.cpp',
            'paint/TableCellPainterTest.cpp',
            'paint/TextPainterTest.cpp',
            'streams/ReadableStreamReaderTest.cpp',
            'streams/ReadableStreamTest.cpp',
            'style/ComputedStyleTest.cpp',
            'style/OutlineValueTest.cpp',
            'style/SVGComputedStyleTest.cpp',
            'svg/SVGPathParserTest.cpp',
            'svg/UnsafeSVGAttributeSanitizationTest.cpp',
            'testing/PrivateScriptTestTest.cpp',
            'timing/MemoryInfoTest.cpp',
            'workers/WorkerThreadTest.cpp',
            'xml/parser/SharedBufferReaderTest.cpp',
        ],
    }
}
